diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 062a8a4..a5eed76 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -4645,13 +4645,6 @@ To pair badge and badgee
 
 @
 
-\defmacro{memq}
-<<defmacro memq>>=
-(defmacro memq (a b)
- `(member ,a ,b :test #'eq))
-
-@
-
 \defvar{scanCloser}
 <<postvars>>=
 (eval-when (eval load)
@@ -4659,13 +4652,12 @@ To pair badge and badgee
 @
 
 \defun{scanCloser?}{scanCloser?}
-\calls{scanCloser?}{memq}
 \calls{scanCloser?}{keyword}
 \uses{scanCloser?}{scanCloser}
 <<defun scanCloser?>>=
 (defun |scanCloser?| (w)
  (declare (special |scanCloser|))
- (memq (|keyword| w) |scanCloser|))
+ (member (|keyword| w) |scanCloser|))
 
 @
 
@@ -6857,7 +6849,6 @@ fn must transform the head of the stack
 @
 
 \defun{npConstTok}{npConstTok}
-\calls{npConstTok}{memq}
 \calls{npConstTok}{tokType}
 \calls{npConstTok}{npPush}
 \calls{npConstTok}{npNext}
@@ -6874,7 +6865,7 @@ fn must transform the head of the stack
  (let (b a)
  (declare (special |$stok|))
   (cond
-   ((memq (|tokType| |$stok|) '(|integer| |string| |char| |float| |command|))
+   ((member (|tokType| |$stok|) '(|integer| |string| |char| |float| |command|))
     (|npPush| |$stok|) 
     (|npNext|))
    ((|npEqPeek| '|'|)
@@ -7610,7 +7601,6 @@ fn must transform the head of the stack
 \defun{npId}{npId}
 \calls{npId}{npPush}
 \calls{npId}{npNext}
-\calls{npId}{memq}
 \calls{npId}{tokConstruct}
 \calls{npId}{tokPosn}
 \usesdollar{npId}{npTokToNames}
@@ -7623,7 +7613,7 @@ fn must transform the head of the stack
    ((eq (caar |$stok|) '|id|)
      (|npPush| |$stok|) 
      (|npNext|))
-   ((and (eq (caar |$stok|) '|key|) (memq |$ttok| |$npTokToNames|))
+   ((and (eq (caar |$stok|) '|key|) (member |$ttok| |$npTokToNames|))
      (|npPush| (|tokConstruct| '|id| |$ttok| (|tokPosn| |$stok|)))
      (|npNext|))
    (t nil)))
@@ -7775,14 +7765,13 @@ p o p o = (p o p) o
 @
 
 \defun{npInfKey}{npInfKey}
-\calls{npInfKey}{memq}
 \calls{npInfKey}{npPushId}
 \usesdollar{npInfKey}{stok}
 \usesdollar{npInfKey}{ttok}
 <<defun npInfKey>>=
 (defun |npInfKey| (s)
  (declare (special |$ttok| |$stok|))
-  (and (eq (caar |$stok|) '|key|) (memq |$ttok| s) (|npPushId|)))
+  (and (eq (caar |$stok|) '|key|) (member |$ttok| s) (|npPushId|)))
 
 @
 
@@ -8377,7 +8366,7 @@ carrier[ptree,...] -> carrier[ptree, ptreePremacro,...]
  (declare (special |$macActive| |$posActive|))
  (let (posn pf)
   (cond
-   ((memq body |$macActive|)
+   ((member body |$macActive|)
     (setq pf (cadr |$posActive|))
     (setq posn (|pfSourcePosition| pf))
     (|mac0InfiniteExpansion| posn body |$macActive|))
@@ -9240,11 +9229,10 @@ of the form ('expression expr position)
 @
 
 \defun{pfLeaf?}{Is this a leaf node?}
-\calls{pfLeaf?}{memq}
 \calls{pfLeaf?}{pfAbSynOp}
 <<defun pfLeaf?>>=
 (defun |pfLeaf?| (form)
- (memq (|pfAbSynOp| form)
+ (member (|pfAbSynOp| form)
    '(|id| |idsy| |symbol| |string| |char| |float| |expression|
      |integer| |Document| |error|)))
 
@@ -9270,7 +9258,7 @@ of the form ('expression expr position)
 \calls{pfLiteral?}{pfAbSynOp}
 <<defun pfLiteral?>>=
 (defun |pfLiteral?| (form)
- (memq (|pfAbSynOp| form)
+ (member (|pfAbSynOp| form)
   '(|integer| |symbol| |expression| |one| |zero| |char| |string| |float|)))
 
 @
@@ -10926,7 +10914,7 @@ output is an old-parser-style s-expression.
      (if |$insideRule|
       (progn
         (setq s (|pfIdSymbol| pf))
-        (if (memq s '(|%pi| |%e| |%i|)) 
+        (if (member s '(|%pi| |%e| |%i|)) 
           s
           (list 'quote s)))
       (|pfIdSymbol| pf)))
@@ -11225,10 +11213,9 @@ output is an old-parser-style s-expression.
 @
 
 \defun{pmDontQuote?}{pmDontQuote?}
-\calls{pmDontQuote?}{memq}
 <<defun pmDontQuote?>>=
 (defun |pmDontQuote?| (sy)
- (memq sy
+ (member sy
   '(+ - * ** ^ / |log| |exp| |pi| |sqrt| |ei| |li| |erf| |ci|
       |si| |dilog| |sin| |cos| |tan| |cot| |sec| |csc| |asin|
       |acos| |atan| |acot| |asec| |acsc| |sinh| |cosh| |tanh|
@@ -11779,7 +11766,6 @@ output is an old-parser-style s-expression.
 @
 
 \defun{patternVarsOf1}{patternVarsOf1}
-\calls{patternVarsOf1}{memq}
 \calls{patternVarsOf1}{patternVarsOf1}
 <<defun patternVarsOf1>>=
 (defun |patternVarsOf1| (expr varList)
@@ -11789,7 +11775,7 @@ output is an old-parser-style s-expression.
    ((atom expr)
     (cond
      ((null (symbolp expr)) varList)
-     ((memq expr varList) varList)
+     ((member expr varList) varList)
      (t (cons expr varList))))
    ((and (consp expr)
          (progn
@@ -13223,7 +13209,6 @@ org prints out the word noposition or console
 
 @
 \defun{initImPr}{initImPr}
-\calls{initImPr}{memq}
 \calls{initImPr}{getMsgTag}
 \calls{initImPr}{setMsgUnforcedAttr}
 \usesdollar{initImPr}{imPrTagGuys}
@@ -13231,7 +13216,7 @@ org prints out the word noposition or console
 <<defun initImPr>>=
 (defun |initImPr| (msg)
  (declare (special |$imPrTagGuys| |$erMsgToss|))
- (when (or |$erMsgToss| (memq (|getMsgTag| msg) |$imPrTagGuys|))
+ (when (or |$erMsgToss| (member (|getMsgTag| msg) |$imPrTagGuys|))
    (|setMsgUnforcedAttr| msg '|$imPrGuys| '|imPr|)))
 
 @
@@ -16069,7 +16054,6 @@ The \verb|$msgdbPrims| variable is set to:
 \calls{displayProperties}{displayParserMacro}
 \calls{displayProperties}{isInterpMacro}
 \calls{displayProperties}{displayMacro}
-\calls{displayProperties}{memq}
 \calls{displayProperties}{displayProperties,sayFunctionDeps}
 \calls{displayProperties}{displayModemap}
 \calls{displayProperties}{exit}
@@ -16163,7 +16147,7 @@ The \verb|$msgdbPrims| variable is set to:
                        nil)
                  (seq (exit
                   (cond
-                   ((and (null (memq prop propsSeen)) val)
+                   ((and (null (member prop propsSeen)) val)
                     (cond
                      ((|member| prop 
                        '(|alias| |generatedCode| IS-GENSYM 
@@ -16977,7 +16961,6 @@ o )compile
 \defun{listConstructorAbbreviations}{listConstructorAbbreviations}
 \calls{listConstructorAbbreviations}{upcase}
 \calls{listConstructorAbbreviations}{queryUserKeyedMsg}
-\calls{listConstructorAbbreviations}{memq}
 \calls{listConstructorAbbreviations}{string2id-n}
 \calls{listConstructorAbbreviations}{whatSpad2Cmd}
 \calls{listConstructorAbbreviations}{sayKeyedMsg}
@@ -16985,7 +16968,7 @@ o )compile
 (defun |listConstructorAbbreviations| ()
  (let (x)
   (setq x (upcase (|queryUserKeyedMsg| 's2iz0056 nil)))
-  (if (memq (string2id-n x 1) '(Y YES))
+  (if (member (string2id-n x 1) '(Y YES))
    (progn
     (|whatSpad2Cmd| '(|categories|))
     (|whatSpad2Cmd| '(|domains|))
@@ -17779,7 +17762,6 @@ Returns the number of active scratchpad clients
 \calls{close}{selectOptionLC}
 \calls{close}{upcase}
 \calls{close}{queryUserKeyedMsg}
-\calls{close}{memq}
 \calls{close}{string2id-n}
 \calls{close}{queryClients}
 \usesdollar{close}{SpadServer}
@@ -17817,7 +17799,7 @@ Returns the number of active scratchpad clients
         (|closeInterpreterFrame| nil))
        (t
         (setq x (upcase (|queryUserKeyedMsg| 's2iz0072 nil)))
-        (when (memq (string2id-n x 1) '(yes y)) (bye)))))))))
+        (when (member (string2id-n x 1) '(yes y)) (bye)))))))))
 
 @
 
@@ -18792,13 +18774,13 @@ This is a trivial function to simplify the logic of displaySpad2Cmd.
 If the user didn't supply an argument to the )display op command
 we ask if they wish to have all information about all Axiom operations
 displayed. If the answer is either Y or YES we return true else nil.
-\calls{yesanswer}{memq}
 \calls{yesanswer}{string2id-n}
 \calls{yesanswer}{upcase}
 \calls{yesanswer}{queryUserKeyedMsg}
 <<defun yesanswer>>=
 (defun yesanswer ()
- (memq (string2id-n (upcase (|queryUserKeyedMsg| 's2iz0058 nil)) 1) '(y yes)))
+ (member
+  (string2id-n (upcase (|queryUserKeyedMsg| 's2iz0058 nil)) 1) '(y yes)))
 
 @
 
@@ -19067,7 +19049,6 @@ o )read
 @
 
 \defun{editFile}{Implement the )edit command}
-\calls{editFile}{memq}
 \calls{editFile}{strconc}
 \calls{editFile}{namestring}
 \calls{editFile}{pathname}
@@ -19075,7 +19056,7 @@ o )read
 <<defun editFile>>=
 (defun |editFile| (file)
  (cond
-  ((memq (intern "WIN32" (find-package 'keyword)) *features*)
+  ((member (intern "WIN32" (find-package 'keyword)) *features*)
    (obey (strconc "notepad " (|namestring| (|pathname| file)))))
   (t
    (obey
@@ -19723,7 +19704,6 @@ end of the first.
 \calls{importFromFrame}{frameEnvironment}
 \calls{importFromFrame}{upcase}
 \calls{importFromFrame}{queryUserKeyedMsg}
-\calls{importFromFrame}{memq}
 \calls{importFromFrame}{string2id-n}
 \calls{importFromFrame}{importFromFrame}
 \calls{importFromFrame}{sayKeyedMsg}
@@ -19759,7 +19739,7 @@ end of the first.
              (upcase (|queryUserKeyedMsg| 'S2IZ0076 (cons fname nil))))
                                           ; import everything?
            (cond
-            ((memq (string2id-n x 1) '(y yes))
+            ((member (string2id-n x 1) '(y yes))
               (setq vars nil)
               (do ((tmp0 (caar fenv) (cdr tmp0)) (tmp1 nil))
                   ((or (atom tmp0) 
@@ -20440,7 +20420,6 @@ environment to \verb|$HistList| and \verb|$HistRecord|.
 \calls{historySpad2Cmd}{initHistList}
 \calls{historySpad2Cmd}{upcase}
 \calls{historySpad2Cmd}{queryUserKeyedMsg}
-\calls{historySpad2Cmd}{memq}
 \calls{historySpad2Cmd}{string2id-n}
 \calls{historySpad2Cmd}{histFileErase}
 \calls{historySpad2Cmd}{histFileName}
@@ -20515,7 +20494,7 @@ environment to \verb|$HistList| and \verb|$HistRecord|.
              (setq x ; really want to turn history on?
                (upcase (|queryUserKeyedMsg| 'S2IH0009 nil)))
              (cond 
-              ((memq (string2id-n x 1) '(Y YES)) 
+              ((member (string2id-n x 1) '(Y YES)) 
                 (|histFileErase| (|histFileName|)) 
                 (setq |$HiFiAccess| t)
                 (setq |$options| nil) 
@@ -20647,7 +20626,6 @@ Also used in the output routines.
 \calls{writeInputLines}{throwKeyedMsg}
 \calls{writeInputLines}{size}
 \calls{writeInputLines}{spaddifference}
-\calls{writeInputLines}{memq}
 \calls{writeInputLines}{concat}
 \calls{writeInputLines}{substring}
 \calls{writeInputLines}{readHiFi}
@@ -20683,7 +20661,7 @@ Also used in the output routines.
              (do ((j 1 (1+ j)))
                  ((or (> j maxn) (null (null done))) nil)
                (setq k (spaddifference (1+ maxn) j))
-               (when (memq (elt vec k) breakChars)
+               (when (member (elt vec k) breakChars)
                  (setq svec (concat (substring vec 0 (1+ k)) underbar))
                  (setq lineList (cons svec lineList))
                  (setq done t)
@@ -22413,7 +22391,6 @@ o )system
 \defunsec{quitSpad2Cmd}{The top level quit command handler}
 \calls{quitSpad2Cmd}{upcase}
 \calls{quitSpad2Cmd}{queryUserKeyedMsg}
-\calls{quitSpad2Cmd}{memq}
 \calls{quitSpad2Cmd}{string2id-n}
 \calls{quitSpad2Cmd}{leaveScratchpad}
 \calls{quitSpad2Cmd}{sayKeyedMsg}
@@ -22426,7 +22403,7 @@ o )system
  (if (eq |$quitCommandType| '|protected|)
   (let (x)
    (setq x (upcase (|queryUserKeyedMsg| 's2iz0031 nil)))
-   (when (memq (string2id-n x 1) '(y yes)) (|leaveScratchpad|))
+   (when (member (string2id-n x 1) '(y yes)) (|leaveScratchpad|))
    (|sayKeyedMsg| 's2iz0032 nil)
    (tersyscommand))
    (|leaveScratchpad|)))
@@ -30895,7 +30872,7 @@ This reports the traced functions
 
 @
 
-\defun{getTraceOption}{getTraceOption}
+\defun{getTraceOption,hn}{getTraceOption,hn}
 \calls{getTraceOption,hn}{seq}
 \calls{getTraceOption,hn}{exit}
 \calls{getTraceOption,hn}{isDomainOrPackage}
@@ -30919,7 +30896,7 @@ This reports the traced functions
 
 @
 
-\calls{getTraceOption}{memq}
+\defun{getTraceOption}{getTraceOption}
 \calls{getTraceOption}{seq}
 \calls{getTraceOption}{exit}
 \calls{getTraceOption}{selectOptionLC}
@@ -30949,7 +30926,7 @@ This reports the traced functions
        (|selectOptionLC| key |$traceOptionList| '|traceOptionError|))
      (setq arg (cons key l))
      (cond
-      ((memq key '(|nonquietly| |timer| |nt|)) arg)
+      ((member key '(|nonquietly| |timer| |nt|)) arg)
       ((eq key '|break|)
        (cond
         ((null l) (cons '|break| (cons '|before| nil)))
@@ -30997,7 +30974,7 @@ This reports the traced functions
          (t 
            (|stackTraceOptionError| 
             (cons 's2it0010 (cons (cons ")within" nil) nil))))))
-      ((memq key '(|cond| |before| |after|))
+      ((member key '(|cond| |before| |after|))
         (setq key 
          (cond 
           ((eq key '|cond|) '|when|)
@@ -31044,7 +31021,7 @@ This reports the traced functions
             (seq
              (exit
               (setq t5 (cons (|getTraceOption,hn| y) t5)))))))))
-      ((memq key '(|local| ops |vars|))
+      ((member key '(|local| ops |vars|))
         (cond
          ((or (null l)
               (and (pairp l) (eq (qcdr l) nil) (eq (qcar l) '|all|)))
@@ -31177,7 +31154,6 @@ This reports the traced functions
 
 \defun{transOnlyOption}{transOnlyOption}
 \calls{transOnlyOption}{transOnlyOption}
-\calls{transOnlyOption}{memq}
 \calls{transOnlyOption}{upcase}
 \calls{transOnlyOption}{stackTraceOptionError}
 \calls{transOnlyOption}{pairp}
@@ -31189,7 +31165,7 @@ This reports the traced functions
   (when (and (pairp arg) (progn (setq n (qcar arg)) (setq y (qcdr arg)) t))
     (cond
      ((integerp n) (cons n (|transOnlyOption| y)))
-     ((memq (setq n (upcase n)) '(v a c)) (cons n (|transOnlyOption| y)))
+     ((member (setq n (upcase n)) '(v a c)) (cons n (|transOnlyOption| y)))
      (t 
         (|stackTraceOptionError| (cons 's2it0006 (list (list n))))
         (|transOnlyOption| y))))))
@@ -31344,7 +31320,6 @@ This reports the traced functions
 @
 
 \defun{coerceTraceArgs2E}{coerceTraceArgs2E}
-\calls{coerceTraceArgs2E}{memq}
 \calls{coerceTraceArgs2E}{spadsysnamep}
 \calls{coerceTraceArgs2E}{pname}
 \calls{coerceTraceArgs2E}{coerceSpadArgs2E}
@@ -31360,7 +31335,7 @@ This reports the traced functions
  (let (name)
   (declare (special |$OutputForm| |$mathTraceList| |$tracedMapSignatures|))
   (cond
-   ((memq (setq name subname) |$mathTraceList|)
+   ((member (setq name subname) |$mathTraceList|)
      (if (spadsysnamep (pname name))
       (|coerceSpadArgs2E| (reverse (cdr (reverse args))))
       (do ((t1 '(|arg1| |arg2| |arg3| |arg4| |arg5| |arg6| |arg7| |arg8| 
@@ -31466,7 +31441,6 @@ This reports the traced functions
 \calls{coerceTraceFunValue2E}{objValUnwrap}
 \calls{coerceTraceFunValue2E}{coerceInteractive}
 \calls{coerceTraceFunValue2E}{objNewWrap}
-\calls{coerceTraceFunValue2E}{memq}
 \usesdollar{coerceTraceFunValue2E}{tracedMapSignatures}
 \usesdollar{coerceTraceFunValue2E}{OutputForm}
 \usesdollar{coerceTraceFunValue2E}{mathTraceList}
@@ -31474,7 +31448,7 @@ This reports the traced functions
 (defun |coerceTraceFunValue2E| (tracename subname |value|)
  (let (name u)
  (declare (special |$tracedMapSignatures| |$OutputForm| |$mathTraceList|))
-   (if (memq (setq name subname) |$mathTraceList|)
+   (if (member (setq name subname) |$mathTraceList|)
     (cond
      ((spadsysnamep (pname tracename)) (|coerceSpadFunValue2E| |value|))
      ((setq u (lassoc subname |$tracedMapSignatures|))
@@ -31573,7 +31547,6 @@ This reports the traced functions
 
 \defun{getPreviousMapSubNames}{getPreviousMapSubNames}
 \calls{getPreviousMapSubNames}{get}
-\calls{getPreviousMapSubNames}{memq}
 \calls{getPreviousMapSubNames}{exit}
 \calls{getPreviousMapSubNames}{seq}
 <<defun getPreviousMapSubNames>>=
@@ -31594,7 +31567,7 @@ This reports the traced functions
              (|get| mapname '|localModemap| |$InteractiveFrame|))
             (exit
              (cond
-              ((memq (cadar lmm) |traceNames|)
+              ((member (cadar lmm) |traceNames|)
                (exit
                 (do ((t1 lmm (cdr t1)) (|mm| nil))
                     ((or (atom t1) (progn (setq |mm| (car t1)) nil)) nil)
@@ -31682,7 +31655,6 @@ This reports the traced functions
 \defun{isSubForRedundantMapName}{isSubForRedundantMapName}
 \calls{isSubForRedundantMapName}{rassocSub}
 \calls{isSubForRedundantMapName}{member}
-\calls{isSubForRedundantMapName}{memq}
 \calls{isSubForRedundantMapName}{assocleft}
 \usesdollar{isSubForRedundantMapName}{mapSubNameAlist}
 <<defun isSubForRedundantMapName>>=
@@ -31691,13 +31663,12 @@ This reports the traced functions
  (declare (special |$mapSubNameAlist|))
   (when (setq mapname (|rassocSub| subname |$mapSubNameAlist|))
     (when (setq tail (|member| (cons mapname subname) |$mapSubNameAlist|))
-      (memq mapname (cdr (assocleft tail)))))))
+      (member mapname (cdr (assocleft tail)))))))
 
 @
 
 \defun{untraceMapSubNames}{untraceMapSubNames}
 \calls{untraceMapSubNames}{assocright}
-\calls{untraceMapSubNames}{memq}
 \calls{untraceMapSubNames}{/untrace,2}
 \calls{untraceMapSubNames}{setdifference}
 \calls{untraceMapSubNames}{getPreviousMapSubNames}
@@ -31711,7 +31682,7 @@ This reports the traced functions
    (null (setq |$mapSubNameAlist| (|getPreviousMapSubNames| |traceNames|)))
    nil
    (dolist (name (setq subs (assocright |$mapSubNameAlist|)))
-     (when (memq name /tracenames)
+     (when (member name /tracenames)
        (|/UNTRACE,2| name nil)
        (setq |$lastUntraced| (setdifference |$lastUntraced| subs)))))))
 
@@ -31828,7 +31799,6 @@ This reports the traced functions
 \calls{spadTrace}{kdr}
 \calls{spadTrace}{flattenOperationAlist}
 \calls{spadTrace}{getOperationAlistFromLisplib}
-\calls{spadTrace}{memq}
 \calls{spadTrace}{spadTrace,isTraceable}
 \calls{spadTrace}{as-insert}
 \calls{spadTrace}{bpiname}
@@ -31905,7 +31875,7 @@ This reports the traced functions
         (exit
          (cond
           ((and (eq kind 'elt)
-                (or anyiftrue (memq op listofoperations))
+                (or anyiftrue (member op listofoperations))
                 (integerp n)
                 (|spadTrace,isTraceable|
                  (setq triple
@@ -32186,7 +32156,6 @@ untraceDomainConstructor,keepTraced?}
 
 \defun{letPrint}{letPrint}
 \calls{letPrint}{lassoc}
-\calls{letPrint}{memq}
 \calls{letPrint}{isgenvar}
 \calls{letPrint}{isSharpVarWithNum}
 \calls{letPrint}{gensymp}
@@ -32209,7 +32178,7 @@ untraceDomainConstructor,keepTraced?}
                  (setq y (lassoc '|all| |$letAssoc|))))
      (cond
       ((and (or (eq y '|all|)
-                 (memq x y))
+                 (member x y))
             (null 
              (or (isgenvar x) (|isSharpVarWithNum| x) (gensymp x))))
         (|sayBrightlyNT| (append (|bright| x) (cons '|: | nil)))
@@ -32218,8 +32187,8 @@ untraceDomainConstructor,keepTraced?}
      (cond
       ((and (setq y (|hasPair| 'break y))
             (or (eq y '|all|)
-                (and (memq x y)
-                     (null (memq (elt (pname x) 0) '($ |#|)))
+                (and (member x y)
+                     (null (member (elt (pname x) 0) '($ |#|)))
                      (null (gensymp x)))))
        (|break|
         (append 
@@ -32282,7 +32251,6 @@ This tests if x is an identifier beginning with \verb|#|
 \defun{letPrint2}{letPrint2}
 \catches{letPrint2}{letPrint2}
 \calls{letPrint2}{lassoc}
-\calls{letPrint2}{memq}
 \calls{letPrint2}{isgenvar}
 \calls{letPrint2}{isSharpVarWithNum}
 \calls{letPrint2}{gensymp}
@@ -32307,7 +32275,7 @@ This tests if x is an identifier beginning with \verb|#|
                (setq y (lassoc '|all| |$letAssoc|))))
       (cond
        ((and
-          (or (eq y '|all|) (memq x y))
+          (or (eq y '|all|) (member x y))
           (null (or (isgenvar x) (|isSharpVarWithNum| x) (gensymp x))))
          (setq |$BreakMode| '|letPrint2|)
          (setq |flag| nil)
@@ -32321,8 +32289,8 @@ This tests if x is an identifier beginning with \verb|#|
          (setq y (|hasPair| 'break y))
          (or (eq y '|all|)
              (and 
-              (memq x y)
-              (null (memq (elt (pname x) 0) '($ |#|)))
+              (member x y)
+              (null (member (elt (pname x) 0) '($ |#|)))
               (null (gensymp x)))))
         (|break|
          (append
@@ -32339,7 +32307,6 @@ This is the version for use when we have our hands on a function
 to convert the data into type "Expression"
 \catches{letPrint3}{letPrint2}
 \calls{letPrint3}{lassoc}
-\calls{letPrint3}{memq}
 \calls{letPrint3}{isgenvar}
 \calls{letPrint3}{isSharpVarWithNum}
 \calls{letPrint3}{gensymp}
@@ -32365,7 +32332,7 @@ to convert the data into type "Expression"
            (setq y (lassoc '|all| |$letAssoc|))))
        (cond
         ((and
-           (or (eq y '|all|) (memq x y))
+           (or (eq y '|all|) (member x y))
            (null (or (isgenvar x) (|isSharpVarWithNum| x) (gensymp x))))
           (setq |$BreakMode| '|letPrint2|)
           (setq |flag| nil)
@@ -32382,8 +32349,8 @@ to convert the data into type "Expression"
           (or
            (eq y '|all|)
            (and
-            (memq x y)
-            (null (memq (elt (pname x) 0) '($ |#|)))
+            (member x y)
+            (null (member (elt (pname x) 0) '($ |#|)))
             (null (gensymp x)))))
           (|break|
            (append
@@ -32425,7 +32392,6 @@ to convert the data into type "Expression"
 
 \defun{getBpiNameIfTracedMap}{getBpiNameIfTracedMap}
 \calls{getBpiNameIfTracedMap}{get}
-\calls{getBpiNameIfTracedMap}{memq}
 \calls{getBpiNameIfTracedMap}{exit}
 \calls{getBpiNameIfTracedMap}{seq}
 \usesdollar{getBpiNameIfTracedMap}{InteractiveFrame}
@@ -32439,7 +32405,7 @@ to convert the data into type "Expression"
     (cond 
      ((setq lmm (|get| name '|localModemap| |$InteractiveFrame|))
        (cond
-        ((memq (setq bpiName (cadar lmm)) /tracenames)
+        ((member (setq bpiName (cadar lmm)) /tracenames)
            (exit bpiName))))
      (t name)))))) 
 
@@ -32646,7 +32612,6 @@ to convert the data into type "Expression"
 \calls{spadUntrace}{sayMSG}
 \calls{spadUntrace}{bright}
 \calls{spadUntrace}{prefix2String}
-\calls{spadUntrace}{memq}
 \calls{spadUntrace}{bpiname}
 \calls{spadUntrace}{remover}
 \calls{spadUntrace}{setletprintflag}
@@ -32700,7 +32665,7 @@ to convert the data into type "Expression"
          (seq
           (exit
            (cond
-            ((or anyiftrue (memq op listofoperations))
+            ((or anyiftrue (member op listofoperations))
               (progn
                 (bpiuntrace tracename alias)
                 (rplac (car (elt domain n)) |bpiPointer|)
@@ -32992,7 +32957,6 @@ to convert the data into type "Expression"
 \calls{tracelet}{lassoc}
 \calls{tracelet}{union}
 \calls{tracelet}{setletprintflag}
-\calls{tracelet}{memq}
 \calls{tracelet}{isgenvar}
 \calls{tracelet}{compileBoot}
 \calls{tracelet}{delete}
@@ -33026,7 +32990,7 @@ to convert the data into type "Expression"
        (setq $traceletflag t)
        (setq |$QuickLet| nil)
        (cond
-        ((and (null (memq fn |$traceletFunctions|))
+        ((and (null (member fn |$traceletFunctions|))
               (null (isgenvar fn))
               (compiled-function-p (symbol-function fn))
               (null (|stupidIsSpadFunction| fn))
@@ -33046,7 +33010,6 @@ to convert the data into type "Expression"
 \calls{breaklet}{assoc}
 \calls{breaklet}{union}
 \calls{breaklet}{setletprintflag}
-\calls{breaklet}{memq}
 \calls{breaklet}{compileBoot}
 \calls{breaklet}{delete}
 \usesdollar{breaklet}{QuickLet}
@@ -33081,7 +33044,7 @@ to convert the data into type "Expression"
       (cond (|$letAssoc| (setletprintflag t)))
       (setq |$QuickLet| nil)
       (cond
-       ((and (null (memq fn |$traceletFunctions|))
+       ((and (null (member fn |$traceletFunctions|))
              (null (|stupidIsSpadFunction| fn))
              (null (gensymp fn)))
         (progn
@@ -34007,7 +33970,6 @@ o )show
 \calls{whatSpad2Cmd}{seq}
 \calls{whatSpad2Cmd}{exit}
 \calls{whatSpad2Cmd}{whatSpad2Cmd,fixpat}
-\calls{whatSpad2Cmd}{memq}
 \calls{whatSpad2Cmd}{whatSpad2Cmd}
 \calls{whatSpad2Cmd}{filterAndFormatConstructors}
 \calls{whatSpad2Cmd}{whatCommands}
@@ -34051,7 +34013,7 @@ o )show
                (seq
                 (exit
                  (cond
-                  ((null (memq opt '(|things|)))
+                  ((null (member opt '(|things|)))
                     (exit (|whatSpad2Cmd| (cons opt args)))))))))
             ((eq key '|categories|)
               (|filterAndFormatConstructors| '|category| "Categories" args))
@@ -37927,7 +37889,7 @@ an AssociationList representation
      (if fun 
       (get (bpiname (car fun)) '|SPADreplace|)
       nil))))
-  (memq (|knownEqualPred| dom) '(eq eql equal))))
+  (member (|knownEqualPred| dom) '(eq eql equal))))
 
 @
 
@@ -39835,7 +39797,6 @@ This needs to work off the internal exposure list, not the file.
 <<defmacro make-double-matrix1>>
 <<defmacro make-double-vector>>
 <<defmacro make-double-vector1>>
-<<defmacro memq>>
 <<defmacro Rest>>
 <<defmacro startsId?>>
 <<defmacro truth-to-bit>>
diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index 666c072..4ce173e 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -1837,7 +1837,7 @@ symbol in the free list are represented by the alist (symbol . count)
   (if (atom u)
    (cond
     ((null (identp u)) free)
-    ((memq u bound) free)
+    ((member u bound) free)
     ; more than 1 free becomes alist (name . number)
     ((setq v (assq u free)) (rplacd v (+ 1 (cdr v))) free)
     ((null (|getmode| u e)) free)
@@ -1845,7 +1845,7 @@ symbol in the free list are represented by the alist (symbol . count)
    (progn
     (setq op (car u))
     (cond
-     ((memq op '(quote go |function|)) free)
+     ((member op '(quote go |function|)) free)
      ((eq op 'lambda) ; lambdas bind symbols
       (setq bound (unionq bound (cadr u)))
       (dolist (v (cddr u))
diff --git a/src/interp/as.lisp.pamphlet b/src/interp/as.lisp.pamphlet
index 74d47e9..063a298 100644
--- a/src/interp/as.lisp.pamphlet
+++ b/src/interp/as.lisp.pamphlet
@@ -474,7 +474,7 @@
                          (AND (HGET |$constantHash| |con|)
                               (CONS (CONS '|constant| 'T) NIL)))
                 (SPADLET |niladicPart|
-                         (AND (MEMQ |con| |$niladics|)
+                         (AND (member |con| |$niladics|)
                               (CONS (CONS 'NILADIC 'T) NIL)))
                 (SPADLET |falist|
                          (TAKE (|#| (KDR |form|))
@@ -835,7 +835,7 @@
              (SPADLET |acc| NIL)
              (SPADLET |rpvl|
                       (COND
-                        ((MEMQ |kind| '(|category| |function|))
+                        ((member |kind| '(|category| |function|))
                          (CDR |$PatternVariableList|))
                         ('T |$PatternVariableList|)))
              (SPADLET |form|
@@ -862,7 +862,7 @@
                                          (CONS |y| G166567)))))))))
              (SPADLET |dc|
                       (COND
-                        ((MEMQ |kind| '(|category| |function|)) '*1)
+                        ((member |kind| '(|category| |function|)) '*1)
                         ('T |form|)))
              (SPADLET |pred1|
                       (COND
@@ -1412,12 +1412,12 @@
                 (SPADLET |ISTMP#1| (QCDR |x|))
                 (AND (PAIRP |ISTMP#1|)
                      (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T)))
-              (MEMQ |op| '(|PretendTo| |RestrictTo|)))
+              (member |op| '(|PretendTo| |RestrictTo|)))
          (|asyAncestors| |y|))
         ((ATOM |x|)
          (COND
            ((BOOT-EQUAL |x| '%) '$)
-           ((MEMQ |x| |$niladics|) (CONS |x| NIL))
+           ((member |x| |$niladics|) (CONS |x| NIL))
            ((GETDATABASE |x| 'NILADIC) (CONS |x| NIL))
            ('T |x|)))
         ('T (|asyAncestorList| |x|))))))
@@ -1638,7 +1638,7 @@
                       ((AND (PAIRP |levels|)
                             (EQ (QCAR |levels|) '|top|))
                        (COND
-                         ((MEMQ |id| '(%% |Category| |Type|))
+                         ((member |id| '(%% |Category| |Type|))
                           '|constant|)
                          ((|asyLooksLikeCatForm?| |form|) '|category|)
                          ((AND (PAIRP |form|)
@@ -1965,7 +1965,7 @@
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T)))))
-                   (MEMQ |a| '(|PretendTo| |RestrictTo|)))
+                   (member |a| '(|PretendTo| |RestrictTo|)))
               (|asytranForm1| |a| |levels| |local?|))
              ((AND (PAIRP |form|) (EQ (QCAR |form|) '|LitInteger|)
                    (PROGN
@@ -2055,7 +2055,7 @@
              (SPADLET |name| (CADR G167475))
              (SPADLET |arglist| (CDDR G167475))
              (COND
-               ((MEMQ |name| '(|Record| |Union|))
+               ((member |name| '(|Record| |Union|))
                 (CONS |name|
                       (PROG (G167492)
                         (SPADLET G167492 NIL)
@@ -2433,7 +2433,7 @@
                        ('T |predicate|)))
             (|asytranCategory| |item| |levels| (CONS |pred| |predlist|)
                 |local?|))))
-        ((MEMQ (KAR |x|) '(|Default| |Foreign|)) NIL)
+        ((member (KAR |x|) '(|Default| |Foreign|)) NIL)
         ((AND (PAIRP |x|) (EQ (QCAR |x|) '|Declare|))
          (|asytranDeclaration| |x| |levels| |predlist| |local?|))
         ('T |x|)))))
@@ -3081,7 +3081,7 @@
                        'T))
                 (COND
                   ((BOOT-EQUAL |fn| '|Join|) (|asyTypeJoin| |r|))
-                  ((MEMQ |fn| '(|RestrictTo| |PretendTo|))
+                  ((member |fn| '(|RestrictTo| |PretendTo|))
                    (|asySig| (CAR |r|) |name?|))
                   ((|asyComma?| |fn|)
                    (SPADLET |u|
@@ -3218,7 +3218,7 @@
                      'T))
               (COND
                 ((BOOT-EQUAL |fn| '|Join|) (|asyTypeJoin| |r|))
-                ((MEMQ |fn| '(|RestrictTo| |PretendTo|))
+                ((member |fn| '(|RestrictTo| |PretendTo|))
                  (|asyType| (CAR |r|)))
                 ((|asyComma?| |fn|)
                  (SPADLET |u|
@@ -3468,7 +3468,7 @@
                      'T))
               (COND
                 ((BOOT-EQUAL |fn| '|Join|) (|systemError| '|Join|))
-                ((MEMQ |fn| '(|RestrictTo| |PretendTo|))
+                ((member |fn| '(|RestrictTo| |PretendTo|))
                  (|asyTypeUnit| (CAR |r|)))
                 ((|asyComma?| |fn|)
                  (SPADLET |u|
@@ -3721,7 +3721,7 @@
                             (DO () ((NULL (CONSP |x|)) NIL)
                               (SEQ (EXIT (SPADLET |x| (CAR |x|)))))
                             (COND
-                              ((MEMQ |x| *ATTRIBUTES*)
+                              ((member |x| *ATTRIBUTES*)
                                (SPADLET |attrs|
                                         (APPEND |attrs| (CONS |x| NIL))))
                               ('T
@@ -3945,7 +3945,7 @@
                      (SPADLET |op| (QCAR |p|))
                      (SPADLET |r| (QCDR |p|))
                      'T)
-                   (MEMQ |op| '(AND OR NOT)))
+                   (member |op| '(AND OR NOT)))
               (CONS |op|
                     (PROG (G168882)
                       (SPADLET G168882 NIL)
@@ -4355,7 +4355,7 @@
 ;--============================================================================
 ;asyComma? op == MEMQ(op,'(Comma Multi))
 
-(DEFUN |asyComma?| (|op|) (MEMQ |op| '(|Comma| |Multi|)))
+(DEFUN |asyComma?| (|op|) (member |op| '(|Comma| |Multi|)))
 
 ;hput(table,name,value) ==
 ;  if null name then systemError()
diff --git a/src/interp/ax.lisp.pamphlet b/src/interp/ax.lisp.pamphlet
index 4dde17b..c4ffb63 100644
--- a/src/interp/ax.lisp.pamphlet
+++ b/src/interp/ax.lisp.pamphlet
@@ -1133,10 +1133,10 @@ axFormatPred pred ==
                              (CONS '|PositiveInteger| NIL))))
                 ((FLOATP |typeform|)
                  (CONS '|LitFloat| (CONS (STRINGIMAGE |typeform|) NIL)))
-                ((MEMQ |typeform| |$TriangleVariableList|)
+                ((member |typeform| |$TriangleVariableList|)
                  (SUBLISLIS |$FormalMapVariableList|
                      |$TriangleVariableList| |typeform|))
-                ((MEMQ |typeform| |$FormalMapVariableList|) |typeform|)
+                ((member |typeform| |$FormalMapVariableList|) |typeform|)
                 ('T (|axAddLiteral| '|string| '|Symbol| '|Literal|)
                  (CONS '|RestrictTo|
                        (CONS (CONS '|LitString|
@@ -1525,7 +1525,7 @@ axFormatPred pred ==
                                          (CONS (|axFormatType| |t|)
                                           NIL)))
                                        G166585))))))))))
-                ((AND (MEMQ |op|
+                ((AND (member |op|
                             '(|SquareMatrix| |SquareMatrixCategory|
                                  |DirectProduct|
                                  |DirectProductCategory|
diff --git a/src/interp/br-con.lisp.pamphlet b/src/interp/br-con.lisp.pamphlet
index 43c2946..be44527 100644
--- a/src/interp/br-con.lisp.pamphlet
+++ b/src/interp/br-con.lisp.pamphlet
@@ -550,7 +550,7 @@
                                       (PROGN
                                         (SPADLET |op1| (QCAR |x|))
                                         'T)))
-                           (MEMQ |op1| '(ATTRIBUTE SIGNATURE)))
+                           (member |op1| '(ATTRIBUTE SIGNATURE)))
                       (EXIT (|systemError| |x|)))
                   (EXIT (SPADLET |alist|
                                  (PROG (G165963)
@@ -2576,7 +2576,7 @@
              (SPADLET |bindingsAlist| (IFCAR |options|))
              (SPADLET |conname| (|opOf| |conform|))
              (COND
-               ((MEMQ |conname| |$Primitives|)
+               ((member |conname| |$Primitives|)
                 (|dbSpecialOperations| |conname|))
                ('T
                 (SPADLET |domname|
@@ -3330,7 +3330,7 @@
                           (|htpProperty| |htPage| '|exclusion|)))))))
                ('T
                 (COND
-                  ((MEMQ |key| '(|exposureOn| |exposureOff|))
+                  ((member |key| '(|exposureOn| |exposureOff|))
                    (SPADLET |$exposedOnlyIfTrue|
                             (COND
                               ((BOOT-EQUAL |key| '|exposureOn|) 'T)
@@ -3701,7 +3701,7 @@
         (SPADLET |conname| (CAR |conform|))
         (SPADLET |conargs| (CDR |conform|))
         (COND
-          ((MEMQ |conname| |$Primitives|)
+          ((member |conname| |$Primitives|)
            (SPADLET |conname| (|htpProperty| |htPage| '|conname|))
            (SPADLET |LETTMP#1| (GETL |conname| '|documentation|))
            (COND
@@ -5851,7 +5851,7 @@
                                           (|opOf| |conform|))
                                          (COND
                                            ((NULL
-                                             (MEMQ |name| '(QUOTE)))
+                                             (member |name| '(QUOTE)))
                                             (HPUT |$usersTb| |name|
                                              (|insert| |x|
                                               (HGET |$usersTb| |name|))))
@@ -6218,7 +6218,7 @@
                                                 'T)))
                                            (IDENTP |op|)
                                            (NULL
-                                            (MEMQ |op|
+                                            (member |op|
                                              '(|Mapping| |Union|
                                                |Record| |Enumeration|
                                                CONS QUOTE |local|))))
@@ -6468,7 +6468,7 @@
                          (SPADLET |op| (QCAR |u|))
                          (SPADLET |v| (QCDR |u|))
                          'T)
-                       (MEMQ |op| '(|Join| PROGN)))
+                       (member |op| '(|Join| PROGN)))
                   (AND (PAIRP |u|) (EQ (QCAR |u|) 'CATEGORY)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |u|))
@@ -7642,7 +7642,7 @@
                         (NREVERSE0 G170019))
                      (SEQ (EXIT (COND
                                   ((OR (NULL |ops|)
-                                    (MEMQ (CAR |x|) |ops|))
+                                    (member (CAR |x|) |ops|))
                                    (SETQ G170019
                                     (CONS |x| G170019))))))))))))))
 
@@ -8335,7 +8335,7 @@
       (SEQ (PROGN
              (SPADLET |which| (STRINGIMAGE |which|))
              (COND
-               ((MEMQ |key| '(|extended| |basic| |all|))
+               ((member |key| '(|extended| |basic| |all|))
                 (SPADLET |$groupChoice| |key|)
                 (SPADLET |key|
                          (OR (|htpProperty| |htPage| '|key|) '|names|))))
@@ -8405,7 +8405,7 @@
                           (|htpProperty| |htPage| '|exclusion|)))))))
                ('T (|htpSetProperty| |htPage| '|key| |key|)
                 (COND
-                  ((MEMQ |key| '(|exposureOn| |exposureOff|))
+                  ((member |key| '(|exposureOn| |exposureOff|))
                    (SPADLET |$exposedOnlyIfTrue|
                             (COND
                               ((BOOT-EQUAL |key| '|exposureOn|) 'T)
@@ -9092,7 +9092,7 @@
                ((NULL |args|) (APPLY |opFn| (CONS |op| NIL)))
                ('T
                 (SPADLET |special|
-                         (MEMQ |op| '(|Union| |Record| |Mapping|)))
+                         (member |op| '(|Union| |Record| |Mapping|)))
                 (SPADLET |cosig|
                          (COND
                            (|special|
@@ -9899,9 +9899,9 @@
         (SPADLET |branch| (|htpProperty| |htPage| '|branch|))
         (SPADLET |data| (|htpProperty| |htPage| '|data|))
         (COND
-          ((MEMQ |branch| '(|signatures| |parameters|))
+          ((member |branch| '(|signatures| |parameters|))
            (|dbReduceOpAlist| |opAlist| (ELT |data| |key|) |branch|))
-          ((MEMQ |branch| '(|origins| |conditions| |implementation|))
+          ((member |branch| '(|origins| |conditions| |implementation|))
            (COND
              ((> 8192 |key|)
               (|dbReduceOpAlist| |opAlist| (ELT |data| |key|) |branch|))
@@ -9980,7 +9980,7 @@
                         NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((MEMQ |op| |ops|)
+                            ((member |op| |ops|)
                              (PROGN
                                (SPADLET |entryList|
                                         (PROG (G171463)
@@ -10917,7 +10917,7 @@
                                                  |comments|)))
                                               (SPADLET |comments|
                                                (COND
-                                                 ((MEMQ |k| '(0 1))
+                                                 ((member |k| '(0 1))
                                                   "")
                                                  ('T
                                                   (|dbReadComments|
@@ -11366,7 +11366,7 @@
       (PROGN
         (SPADLET |condition| (|htpProperty| |htPage| '|condition?|))
         (COND
-          ((MEMQ |condition| '(|yes| |no|))
+          ((member |condition| '(|yes| |no|))
            (BOOT-EQUAL |condition| '|yes|))
           ('T
            (SPADLET |value|
@@ -12132,9 +12132,9 @@
 ;      [sig1,:info]
 
 (DEFUN |getDomainOpTable,memq| (|op| |ops|)
-  (SEQ (IF (MEMQ |op| |ops|) (EXIT |op|))
-       (IF (EQ |op| '|One|) (EXIT (AND (MEMQ 1 |ops|) 1)))
-       (IF (EQ |op| '|Zero|) (EXIT (AND (MEMQ 0 |ops|) 0))) (EXIT NIL)))
+  (SEQ (IF (member |op| |ops|) (EXIT |op|))
+       (IF (EQ |op| '|One|) (EXIT (AND (member 1 |ops|) 1)))
+       (IF (EQ |op| '|Zero|) (EXIT (AND (member 0 |ops|) 0))) (EXIT NIL)))
 
 (DEFUN |getDomainOpTable|
        (&REST G172808 &AUX |options| |fromIfTrue| |dom|)
@@ -12324,7 +12324,7 @@
                       (SPADLET |op| (QCAR |pred|))
                       (SPADLET |argl| (QCDR |pred|))
                       'T))
-               (EXIT (SEQ (IF (MEMQ |op| '(AND |and|))
+               (EXIT (SEQ (IF (member |op| '(AND |and|))
                               (EXIT (PROG (G172834)
                                       (SPADLET G172834 'T)
                                       (RETURN
@@ -12346,7 +12346,7 @@
                                              (AND G172834
                                               (|evalDomainOpPred,evpred1|
                                                |dom| |x|))))))))))
-                          (IF (MEMQ |op| '(OR |or|))
+                          (IF (member |op| '(OR |or|))
                               (EXIT (PROG (G172848)
                                       (SPADLET G172848 NIL)
                                       (RETURN
@@ -12436,7 +12436,7 @@
                       (SPADLET |op| (QCAR |pred|))
                       (SPADLET |argl| (QCDR |pred|))
                       'T))
-               (EXIT (SEQ (IF (MEMQ |op| '(AND |and|))
+               (EXIT (SEQ (IF (member |op| '(AND |and|))
                               (EXIT (CONS 'AND
                                      (PROG (G172900)
                                        (SPADLET G172900 NIL)
@@ -12458,7 +12458,7 @@
                                                (|evalDomainOpPred,convert|
                                                 |dom| |x|)
                                                G172900))))))))))
-                          (IF (MEMQ |op| '(OR |or|))
+                          (IF (member |op| '(OR |or|))
                               (EXIT (CONS 'OR
                                      (PROG (G172915)
                                        (SPADLET G172915 NIL)
@@ -12480,7 +12480,7 @@
                                                (|evalDomainOpPred,convert|
                                                 |dom| |x|)
                                                G172915))))))))))
-                          (IF (MEMQ |op| '(NOT |not|))
+                          (IF (member |op| '(NOT |not|))
                               (EXIT (CONS 'NOT
                                      (CONS
                                       (|evalDomainOpPred,convert| |dom|
@@ -12789,7 +12789,7 @@
         ((BOOT-EQUAL |t| '(|Category|))
          (|htSay| "a category"))
         ((OR (AND (PAIRP |t|) (PROGN (SPADLET |op| (QCAR |t|)) 'T)
-                  (MEMQ |op| '(|Join| CATEGORY)))
+                  (member |op| '(|Join| CATEGORY)))
              (|constructor?| (|opOf| |t|)))
          (|htSayConstructor| NIL |t|))
         ('T (|htSay| "an element of domain ")
@@ -12821,7 +12821,7 @@
         ((NULL |$signature|)
          (|htSay| (CONS "{\\em "
                         (CONS |t| (CONS "}" NIL)))))
-        ((MEMQ |t| '($ %))
+        ((member |t| '($ %))
          (COND
            ((AND (BOOT-EQUAL |$conkind| "category")
                  (> |$conlength| 20))
@@ -13568,7 +13568,7 @@
                       (PROGN (SETQ |name| (CAR G173564)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((MEMQ |name| |domList|)
+                            ((member |name| |domList|)
                              (PROGN
                                (SPADLET |$infovec|
                                         (|dbInfovec| |name|))
@@ -13598,7 +13598,7 @@
                                                 (SPADLET |op|
                                                  (QCDR |item|))
                                                 'T)))
-                                            (NULL (MEMQ |op| |opList|)))
+                                            (NULL (member |op| |opList|)))
                                            '|skip|)
                                           ('T (SPADLET |index| |n|)
                                            (SPADLET |numvec|
@@ -14083,7 +14083,7 @@
                                  (CONS (|kFormatSlotDomain,fn|
                                         (CADDR |x|))
                                        NIL)))))
-           (IF (OR (MEMQ |op| |$Primitives|) (|constructor?| |op|))
+           (IF (OR (member |op| |$Primitives|) (|constructor?| |op|))
                (EXIT (PROG (G173894)
                        (SPADLET G173894 NIL)
                        (RETURN
@@ -14291,7 +14291,7 @@
                                       (|quickOr| |npred|
                                        |existingPred|))))
                           (COND
-                            ((NULL (MEMQ |name| '(|nil| |nothing|)))
+                            ((NULL (member |name| '(|nil| |nothing|)))
                              (HPUT |$if| |name|
                                    (CONS
                                     (CONS |argl|
@@ -14814,7 +14814,7 @@
                                             (AND (PAIRP |ISTMP#1|)
                                              (EQUAL (QCAR |ISTMP#1|)
                                               |dc|)))
-                                          (MEMQ |k|
+                                          (member |k|
                                            '(|ofCategory| |isDomain|)))
                                          (SETQ G174389
                                           (OR G174389 |x|)))))))))
@@ -14924,7 +14924,7 @@
         (COND
           ((IFCAR |options|)
            (|grepSplit| |lines| (BOOT-EQUAL |key| '|w|)))
-          ((MEMQ |key| '(|o| |a|))
+          ((member |key| '(|o| |a|))
            (|dbScreenForDefaultFunctions| |lines|))
           ('T |lines|))))))
 
@@ -15300,7 +15300,7 @@
                       (SPADLET |op| (QCAR |u|))
                       (SPADLET |args| (QCDR |u|))
                       'T))
-               (EXIT (AND (MEMQ |op| '(|and| |or| |not|))
+               (EXIT (AND (member |op| '(|and| |or| |not|))
                           (PROG (G174653)
                             (SPADLET G174653 'T)
                             (RETURN
@@ -15617,7 +15617,7 @@
 
 (DEFUN |isFilterDelimiter?| (|c|)
  (declare (special |$pmFilterDelimiters|))
- (MEMQ |c| |$pmFilterDelimiters|))
+ (member |c| |$pmFilterDelimiters|))
 
 ;grepSplit(lines,doc?) ==
 ;  if doc? then
@@ -15939,7 +15939,7 @@
                (EXIT (|mkGrepPattern1,h| |r|
                          (CONS |$wild1| (CONS |s| |res|)))))
            (SPADLET |res| (CDR |res|))
-           (IF (NULL (MEMQ '|w| |$options|))
+           (IF (NULL (member '|w| |$options|))
                (IF (NEQUAL (CAR |res|) "")
                    (SPADLET |res| (CONS "`" |res|))
                    (IF (AND (AND (PAIRP |res|)
@@ -15970,7 +15970,7 @@
   (PROG (|k|)
   (declare (special |$options|))
     (RETURN
-      (SEQ (IF (NULL (MEMQ '|w| |$options|)) (EXIT |s|))
+      (SEQ (IF (NULL (member '|w| |$options|)) (EXIT |s|))
            (IF (BOOT-EQUAL (ELT |s| 0) (|char| '*))
                (SPADLET |s| (SUBSTRING |s| 1 NIL)) NIL)
            (IF (BOOT-EQUAL (ELT |s| (SPADLET |k| (MAXINDEX |s|)))
@@ -17531,7 +17531,7 @@
                ((NULL |parse|) NIL)
                ('T (SPADLET |form| (|conLowerCaseConTran| |parse|))
                 (COND
-                  ((OR (MEMQ (KAR |form|) '(|and| |or| |not|))
+                  ((OR (member (KAR |form|) '(|and| |or| |not|))
                        (CONTAINED '* |form|))
                    NIL)
                   ((BOOT-EQUAL |filter| "Mapping") NIL)
@@ -18094,7 +18094,7 @@
                      |npat|))
         (SPADLET |lines| (|applyGrep| |form| '|libdb|))
         (COND
-          ((MEMQ |which| '(|ops| |attrs|))
+          ((member |which| '(|ops| |attrs|))
            (SPADLET |lines| (|dbScreenForDefaultFunctions| |lines|))))
         (SPADLET |kind|
                  (COND
@@ -18405,7 +18405,7 @@
     ('T
      (|mkGrepTextfile|
          (COND
-           ((MEMQ |key| '(|.| |a| |c| |d| |k| |o| |p| |x|)) '|libdb|)
+           ((member |key| '(|.| |a| |c| |d| |k| |o| |p| |x|)) '|libdb|)
            ('T '|comdb|))))))
 
 ;mkGrepTextfile s == STRCONC($SPADROOT,"/algebra/", STRINGIMAGE s, '".text")
@@ -18480,7 +18480,7 @@
                     (SPADLET |target| (|getTempPath| '|target|))
                     (SPADLET |casepart|
                              (COND
-                               ((MEMQ '|iv| |options|)
+                               ((member '|iv| |options|)
                                 "-vi")
                                ('T "-i")))
                     (SPADLET |command|
@@ -18498,7 +18498,7 @@
                                (STRCONC |command| " > "
                                         |target|))))
                     (|dbReadLines| |target|))
-                   ('T (SPADLET |invert?| (MEMQ '|iv| |options|))
+                   ('T (SPADLET |invert?| (member '|iv| |options|))
                     (GREP |source| |pattern| NIL (NULL |invert?|)))))
         (|dbUnpatchLines| |lines|)))))
 
@@ -18860,7 +18860,7 @@ $dbKindAlist :=
   (PROG (|a| |b| |ISTMP#1| |c|)
   (declare (special |$emList|))
     (RETURN
-      (SEQ (IF (MEMQ |op| '(NOT |not|))
+      (SEQ (IF (member |op| '(NOT |not|))
                (EXIT (SEQ (|htSay| "not ")
                           (EXIT (|htPred2English,fn| (CAR |l|) 0)))))
            (IF (BOOT-EQUAL |op| '|HasCategory|)
@@ -18871,7 +18871,7 @@ $dbKindAlist :=
                (EXIT (SEQ (|bcConform| (CAR |l|) |$emList|)
                           (|htSay| " has ")
                           (EXIT (|htPred2English,fnAttr| (CADADR |l|))))))
-           (IF (MEMQ |op| '(|has| |ofCategory|))
+           (IF (member |op| '(|has| |ofCategory|))
                (EXIT (SEQ (|bcConform| (CAR |l|) |$emList|)
                           (|htSay| " has ")
                           (PROGN
@@ -18942,7 +18942,7 @@ $dbKindAlist :=
                                     (|htSay| ")") NIL)))))
            (IF (BOOT-EQUAL |x| '|etc|)
                (EXIT (|htSay| "...")))
-           (IF (AND (IDENTP |x|) (NULL (MEMQ |x| |$emList|)))
+           (IF (AND (IDENTP |x|) (NULL (member |x| |$emList|)))
                (EXIT (|htSay| (|escapeSpecialIds| (PNAME |x|)))))
            (EXIT (|htSay| (|form2HtString| |x| |$emList|)))))))
 
@@ -19085,13 +19085,13 @@ $dbKindAlist :=
   (declare (special |$emList|))
     (RETURN
       (SEQ (IF (ATOM |x|)
-               (EXIT (SEQ (IF (MEMQ |x| |$FormalMapVariableList|)
+               (EXIT (SEQ (IF (member |x| |$FormalMapVariableList|)
                               (EXIT (STRCONC "\\"
                                      (STRINGIMAGE |x|))))
                           (SPADLET |u|
                                    (|escapeSpecialChars|
                                     (STRINGIMAGE |x|)))
-                          (IF (MEMQ |x| |$emList|)
+                          (IF (member |x| |$emList|)
                               (EXIT (STRCONC "{\\em " |u|
                                      "}")))
                           (IF (STRINGP |x|)
@@ -19180,7 +19180,7 @@ $dbKindAlist :=
         ((ATOM |x|)
          (COND
            ((BOOT-EQUAL |x| '$) "_$")
-           ((MEMQ |x| |$FormalMapVariableList|)
+           ((member |x| |$FormalMapVariableList|)
             (STRCONC (STRINGIMAGE '_) (STRINGIMAGE |x|)))
            ((STRINGP |x|)
             (STRCONC "\"" (STRINGIMAGE |x|)
@@ -19844,7 +19844,7 @@ $dbKindAlist :=
                       (SPADLET |argl| (QCDR |x|))
                       'T))
                (EXIT (SEQ (IF (BOOT-EQUAL |op| '|hasArgs|) (EXIT |x|))
-                          (IF (MEMQ |op| '(AND OR NOT))
+                          (IF (member |op| '(AND OR NOT))
                               (EXIT (PROG (G177067)
                                       (SPADLET G177067 NIL)
                                       (RETURN
@@ -22582,7 +22582,7 @@ $dbKindAlist :=
                                         (SPADLET |callTail|
                                          (QCDR |ISTMP#4|))
                                         'T)))))))))
-              (MEMQ |kind| '(|bcLinks| |bcLispLinks|)))
+              (member |kind| '(|bcLinks| |bcLispLinks|)))
          (SPADLET |text| (|saturnTranText| |s2|))
          (SPADLET |fs| (|getCallBackFn| |callTail|))
          (COND
@@ -25816,7 +25816,7 @@ $dbKindAlist :=
                ((BOOT-EQUAL |which| "operation")
                 (SPADLET |$signature|
                          (COND
-                           ((MEMQ |conname| |$Primitives|) NIL)
+                           ((member |conname| |$Primitives|) NIL)
                            ('T
                             (CDAR (|getConstructorModemap| |conname|)))))
                 (SPADLET |tvarlist|
@@ -25950,7 +25950,7 @@ $dbKindAlist :=
                 (|htSayIndentRel| (SPADDIFFERENCE 15))
                 (|htSaySaturn| "\\\\")))
              (COND
-               ((NULL (MEMQ |predicate| '(T ASCONST)))
+               ((NULL (member |predicate| '(T ASCONST)))
                 (SPADLET |pred|
                          (|sublisFormal| (KDR |conform|) |predicate|))
                 (SPADLET |count| (|#| |pred|))
@@ -27062,7 +27062,7 @@ $dbKindAlist :=
                     |$italicHead?|))
     (RETURN
       (SEQ (IF (ATOM |form|)
-               (EXIT (SEQ (IF (AND (NULL (MEMQ |form| |$Primitives|))
+               (EXIT (SEQ (IF (AND (NULL (member |form| |$Primitives|))
                                    (NULL (|constructor?| |form|)))
                               (EXIT (SEQ
                                      (SPADLET |s| (STRINGIMAGE |form|))
@@ -27195,7 +27195,7 @@ $dbKindAlist :=
                                       1))
                             (SUBSTRING |s| 1 (SPADDIFFERENCE |k| 1)))
                            ('T (|dbName| |line|)))))
-        (MEMQ |con| |conlist|)))))
+        (member |con| |conlist|)))))
 
 ;--------------> NEW DEFINITION (see br-data.boot.pamphlet)
 ;purgeLocalLibdb() ==   --called by the user through a clear command?
diff --git a/src/interp/c-doc.lisp.pamphlet b/src/interp/c-doc.lisp.pamphlet
index 3d70425..98cf4d5 100644
--- a/src/interp/c-doc.lisp.pamphlet
+++ b/src/interp/c-doc.lisp.pamphlet
@@ -69,7 +69,7 @@
       (SEQ (COND
              ((AND (PAIRP |pred|)
                    (PROGN (SPADLET |fn| (QCAR |pred|)) 'T)
-                   (MEMQ |fn| '(AND OR NOT)))
+                   (member |fn| '(AND OR NOT)))
               (PROG (G166100)
                 (SPADLET G166100 NIL)
                 (RETURN
@@ -2325,7 +2325,7 @@
                (SEQ (EXIT (PROGN
                             (SPADLET |j| (|checkTrim,wherePP| |x|))
                             (COND
-                              ((NULL (MEMQ |j| |s|))
+                              ((NULL (member |j| |s|))
                                (|checkDocError|
                                    (CONS |$x|
                                     (CONS
@@ -2686,7 +2686,7 @@
                                           (AND (CHARP |x|)
                                            (ALPHA-CHAR-P |x|)
                                            (NULL
-                                            (MEMQ |x|
+                                            (member |x|
                                              |$charExclusions|)))
                                           (|member| |x| |$argl|)))
                                         (CONS |$charRbrace|
@@ -2820,7 +2820,7 @@
              ((OR (AND (CHARP |s|) (SPADLET |c| |s|))
                   (AND (EQL (|#| |s|) 1) (SPADLET |c| (ELT |s| 0))))
               (COND
-                ((MEMQ |s| |$charEscapeList|)
+                ((member |s| |$charEscapeList|)
                  (STRCONC |$charBack| |c|))
                 ('T |s|)))
              ('T (SPADLET |k| 0) (SPADLET |m| (MAXINDEX |s|))
@@ -2832,7 +2832,7 @@
                                      (COND
                                        ((BOOT-EQUAL |char| |$charBack|)
                                         (SPADLET |k| (PLUS |k| 2)))
-                                       ((MEMQ |char| |$charEscapeList|)
+                                       ((member |char| |$charEscapeList|)
                                         (RETURN
                                           (SPADLET |insertIndex| |k|))))))
                              (SPADLET |k| (PLUS |k| 1))))))
@@ -4062,7 +4062,7 @@
 (DEFUN |checkAlphabetic| (|c|)
   (declare (special |$charIdentifierEndings|))
   (OR (ALPHA-CHAR-P |c|) (DIGITP |c|)
-      (MEMQ |c| |$charIdentifierEndings|)))
+      (member |c| |$charIdentifierEndings|)))
 
 ;--=======================================================================
 ;--        Code for creating a personalized report for ++ comments
diff --git a/src/interp/c-util.lisp.pamphlet b/src/interp/c-util.lisp.pamphlet
index 2dfcb9e..5f6d6d6 100644
--- a/src/interp/c-util.lisp.pamphlet
+++ b/src/interp/c-util.lisp.pamphlet
@@ -1340,7 +1340,7 @@
         (COND
           ((ATOM |domain|)
            (COND
-             ((MEMQ |domain| |domainList|) 'T)
+             ((member |domain| |domainList|) 'T)
              ((OR (NULL (IDENTP |domain|))
                   (|isSomeDomainVariable| |domain|))
               'T)
@@ -1564,7 +1564,7 @@
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |l| (QCDR |x|))
                      'T)
-                   (MEMQ |op| '(SEQ REPEAT COLLECT)))
+                   (member |op| '(SEQ REPEAT COLLECT)))
               (DO ((G3401 |l| (CDR G3401)) (|u| NIL))
                   ((OR (ATOM G3401)
                        (PROGN (SETQ |u| (CAR G3401)) NIL))
@@ -2020,7 +2020,7 @@
         ((BOOT-EQUAL |s| |p|) |al|)
         ((SPADLET |v| (|assoc| |p| |al|))
          (OR (BOOT-EQUAL |s| (CDR |v|)) |al|))
-        ((MEMQ |p| |$PatternVariableList|) (CONS (CONS |p| |s|) |al|))
+        ((member |p| |$PatternVariableList|) (CONS (CONS |p| |s|) |al|))
         ('T
          (AND (NULL (ATOM |p|)) (NULL (ATOM |s|))
               (SPADLET |al'| (|pmatchWithSl| (CAR |s|) (CAR |p|) |al|))
diff --git a/src/interp/category.lisp.pamphlet b/src/interp/category.lisp.pamphlet
index fde6d0d..ac0865a 100644
--- a/src/interp/category.lisp.pamphlet
+++ b/src/interp/category.lisp.pamphlet
@@ -137,7 +137,7 @@ It is set in init.lisp.pamphlet.
     (RETURN
       (SEQ (IF (EQ |v| '$) (EXIT |l|)) (IF (STRINGP |v|) (EXIT |l|))
            (IF (ATOM |v|) (EXIT (CONS |v| |l|)))
-           (IF (MEMQ (CAR |v|) |$PrimitiveDomainNames|) (EXIT |l|))
+           (IF (member (CAR |v|) |$PrimitiveDomainNames|) (EXIT |l|))
            (IF (AND (PAIRP |v|) (EQ (QCAR |v|) '|Union|)
                     (PROGN (SPADLET |w| (QCDR |v|)) 'T))
                (EXIT (SEQ (DO ((G166101 (|stripUnionTags| |w|)
@@ -1764,7 +1764,7 @@ copy.
                                             (SPADLET |at2|
                                              (CONS |at2| NIL))))
                                          (COND
-                                           ((QMEMQ (QCAR |at2|)
+                                           ((member (QCAR |at2|)
                                              |$Attributes|)
                                             NIL)
                                            ((NULL
@@ -2021,7 +2021,7 @@ copy.
                                                  (ELT |$NewCatVec| 4))))
                                               (SPADLET |reallynew| NIL)
                                               (COND
-                                                ((MEMQ |b| |l|)
+                                                ((member |b| |l|)
                                                  (SPADLET |sigl|
                                                   (ELT |$NewCatVec| 1))
                                                  (SPADLET |attl|
@@ -2194,9 +2194,9 @@ copy.
                                       |sigl|))
                             (SPADLET |attl|
                                      (COND
-                                       ((MEMQ |attl| (ELT |b| 2))
+                                       ((member |attl| (ELT |b| 2))
                                         (ELT |b| 2))
-                                       ((MEMQ (ELT |b| 2) |attl|)
+                                       ((member (ELT |b| 2) |attl|)
                                         |attl|)
                                        ('T (S+ (ELT |b| 2) |attl|))))
                             (SPADLET |globalDomains|
diff --git a/src/interp/cattable.lisp.pamphlet b/src/interp/cattable.lisp.pamphlet
index 20180a0..c730e5b 100644
--- a/src/interp/cattable.lisp.pamphlet
+++ b/src/interp/cattable.lisp.pamphlet
@@ -86,7 +86,7 @@
                   NIL)
                (SEQ (EXIT (COND
                             ((OR (NULL |conList|)
-                                 (MEMQ |id| |conList|))
+                                 (member |id| |conList|))
                              (PROGN
                                (|sayMSG|
                                    (APPEND (|bright| |id|)
@@ -491,7 +491,7 @@
                                      (EXIT
                                       (|simpHasAttribute| |form| |a|
                                        |b|)))))
-                          (IF (MEMQ |op| '(AND OR NOT))
+                          (IF (member |op| '(AND OR NOT))
                               (EXIT (SEQ
                                      (IF
                                       (NULL
@@ -1208,7 +1208,7 @@
              ((NULL (CONSP |cform|)) NIL)
              ('T (SPADLET |cop| (CAR |cform|))
               (COND
-                ((MEMQ |cop| |$CategoryNames|)
+                ((member |cop| |$CategoryNames|)
                  (|mkCategoryExtensionAlistBasic| |cform|))
                 ('T
                  (SPADLET |catlist|
@@ -2110,7 +2110,7 @@
                     (PROGN (SETQ |key| (CAR G167592)) NIL))
                 NIL)
              (SEQ (EXIT (COND
-                          ((MEMQ |key| |catNames|) NIL)
+                          ((member |key| |catNames|) NIL)
                           ('T (SPADLET |extensions| NIL)
                            (DO ((G167602
                                     (GETDATABASE |key| 'ANCESTORS)
@@ -2129,7 +2129,7 @@
                                       NIL))
                                 NIL)
                              (SEQ (EXIT (COND
-                                          ((MEMQ (CAR |catForm|)
+                                          ((member (CAR |catForm|)
                                             |catNames|)
                                            NIL)
                                           ('T
diff --git a/src/interp/clam.lisp.pamphlet b/src/interp/clam.lisp.pamphlet
index f71c9cb..50945a0 100644
--- a/src/interp/clam.lisp.pamphlet
+++ b/src/interp/clam.lisp.pamphlet
@@ -185,8 +185,8 @@
         (COND
           ((SPADLET |u| (S- |options| '(|shift| |count|)))
            (|keyedSystemError| 'S2GE0006 (CONS |op| |u|))))
-        (SPADLET |shiftFl| (MEMQ '|shift| |options|))
-        (SPADLET |countFl| (MEMQ '|count| |options|))
+        (SPADLET |shiftFl| (member '|shift| |options|))
+        (SPADLET |countFl| (member '|count| |options|))
         (COND
           ((AND (> (|#| |argl|) 1) (BOOT-EQUAL |eqEtc| 'EQ))
            (|keyedSystemError| 'S2GE0007 (CONS |op| NIL))))
@@ -494,7 +494,7 @@
              ('T NIL))))
         (COND
           ((AND (NULL |cacheNameOrNil|)
-                (NULL (MEMQ |eqEtc| '(EQ CVEC UEQUAL))))
+                (NULL (member |eqEtc| '(EQ CVEC UEQUAL))))
            (|keyedSystemError| 'S2GE0012 (CONS |op| NIL)))
           ('T (SPADLET |auxfn| (INTERNL |op| ";"))
            (SPADLET |g1| (GENSYM))
@@ -779,7 +779,7 @@
     (RETURN
       (PROGN
         (COND
-          ((NULL (MEMQ |eqEtc| '(UEQUAL)))
+          ((NULL (member |eqEtc| '(UEQUAL)))
            (|sayBrightly|
                                   "for hash option, only EQ, CVEC, and UEQUAL are allowed")))
         (SPADLET |auxfn| (INTERNL |op| ";"))
@@ -1109,7 +1109,7 @@
                       NIL))
                 NIL)
              (SEQ (EXIT (COND
-                          ((NULL (MEMQ '|count| |u|))
+                          ((NULL (member '|count| |u|))
                            (|sayBrightly|
                                (CONS "%b"
                                      (CONS |fn|
diff --git a/src/interp/compiler.lisp.pamphlet b/src/interp/compiler.lisp.pamphlet
index 686ca87..cea61ef 100644
--- a/src/interp/compiler.lisp.pamphlet
+++ b/src/interp/compiler.lisp.pamphlet
@@ -78,7 +78,7 @@
 
 (DEFUN |hasFormalMapVariable,hasone?| (|x|)
   (declare (special |$formalMapVariables|))
-  (MEMQ |x| |$formalMapVariables|))
+  (member |x| |$formalMapVariables|))
 
 (DEFUN |hasFormalMapVariable| (|x| |vl|)
   (PROG (|$formalMapVariables|)
@@ -326,19 +326,19 @@
          (CONS (CONS 'QUOTE (CONS |s| NIL)) (CONS |s| (CONS |e| NIL))))
         ((SPADLET |v| (|get| |s| '|value| |e|))
          (COND
-           ((MEMQ |s| |$functorLocalParameters|)
+           ((member |s| |$functorLocalParameters|)
             (|NRTgetLocalIndex| |s|)
             (CONS |s| (CONS (CADR |v|) (CONS |e| NIL))))
            ('T (CONS |s| (CONS (CADR |v|) (CONS |e| NIL))))))
         ((SPADLET |m'| (|getmode| |s| |e|))
          (COND
            ((AND (NULL (|member| |s| |$formalArgList|))
-                 (NULL (MEMQ |s| |$FormalMapVariableList|))
+                 (NULL (member |s| |$FormalMapVariableList|))
                  (NULL (|isFunction| |s| |e|))
                  (NULL (BOOT-EQUAL |$compForModeIfTrue| 'T)))
             (|errorRef| |s|)))
          (CONS |s| (CONS |m'| (CONS |e| NIL))))
-        ((MEMQ |s| |$FormalMapVariableList|)
+        ((member |s| |$FormalMapVariableList|)
          (|stackMessage| (CONS '|no mode found for| (CONS |s| NIL))))
         ((OR (BOOT-EQUAL |m| |$Expression|) (BOOT-EQUAL |m| |$Symbol|))
          (CONS (CONS 'QUOTE (CONS |s| NIL)) (CONS |m| (CONS |e| NIL))))
@@ -995,7 +995,7 @@
                                   (SEQ (EXIT
                                         (COND
                                           ((NULL
-                                            (MEMQ |u| |deleteList|))
+                                            (member |u| |deleteList|))
                                            (SETQ G167440
                                             (CONS |u| G167440))))))))))))
              (COND
@@ -1999,7 +1999,7 @@ Compile setelt
              ('T
               (SPADLET |key|
                        (COND
-                         ((MEMQ |id| (CDR |$form|)) '|arguments|)
+                         ((member |id| (CDR |$form|)) '|arguments|)
                          ('T '|locals|)))
               (|profileRecord| |key| |id| (CADR T$))))))
         (SPADLET |newProplist|
@@ -3005,7 +3005,7 @@ Compile seq
                                        (PROGN
                                          (SPADLET |t| (QCAR |ISTMP#2|))
                                          'T))))))
-                    (MEMQ |key| '(|TAGGEDreturn| |TAGGEDexit|)))
+                    (member |key| '(|TAGGEDreturn| |TAGGEDexit|)))
                (EXIT (|rplac| (CAR |t|)
                               (|replaceExitEtc| (CAR |t|) |tag|
                                   |opFlag| |opMode|))))
diff --git a/src/interp/database.lisp.pamphlet b/src/interp/database.lisp.pamphlet
index 80287dd..4c0ebb9 100644
--- a/src/interp/database.lisp.pamphlet
+++ b/src/interp/database.lisp.pamphlet
@@ -212,7 +212,7 @@
                       (PROGN (SETQ |v| (CAR G166195)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((MEMQ |u| |$PatternVariableList|)
+                            ((member |u| |$PatternVariableList|)
                              (SPADLET |$e|
                                       (|put| |u| '|mode| |v| |$e|)))
                             ('T NIL)))))
@@ -289,7 +289,7 @@
                                               (SEQ
                                                (EXIT
                                                 (COND
-                                                  ((MEMQ |a|
+                                                  ((member |a|
                                                     |$PatternVariableList|)
                                                    (SETQ G166246
                                                     (CONS
@@ -341,7 +341,7 @@
                                          (EXIT
                                           (SETQ G166278
                                            (OR G166278
-                                            (NULL (MEMQ |u| |l|)))))))))
+                                            (NULL (member |u| |l|)))))))))
                                   (|sayMSG|
                                       (CONS "cannot handle modemap for"
                                        (APPEND (|bright| |op|)
@@ -613,7 +613,7 @@
                                              (QCDR |ISTMP#1|))
                                             (AND (PAIRP |ISTMP#2|)
                                              (EQ (QCDR |ISTMP#2|) NIL)))))
-                                       (MEMQ |op|
+                                       (member |op|
                                         '(|isDomain| |ofCategory|))
                                        (BOOT-EQUAL |pvar| (CAR |sig|))
                                        (NULL
@@ -975,7 +975,7 @@
     (RETURN
       (SEQ (IF (ATOM |x|)
                (EXIT (SEQ (IF (AND (AND (IDENTP |x|)
-                                    (MEMQ |x| |$PatternVariableList|))
+                                    (member |x| |$PatternVariableList|))
                                    (SPADLET |s|
                                     (|isDomainSubst,findSub| |x|
                                      |alist|)))
@@ -1277,7 +1277,7 @@
                                      (MSUBST |patVar| |value|
                                       |domainPredicates|))
                             (COND
-                              ((NULL (MEMQ |value|
+                              ((NULL (member |value|
                                       |$FormalMapVariableList|))
                                (SPADLET |domainPredicates|
                                         (CONS
@@ -2246,7 +2246,7 @@
              ((|isExistingFile|
                   (CONS |fn| (CONS |$spadLibFT| (CONS '* NIL))))
               (EXIT (COND
-                      ((MEMQ '|dependents| (RKEYIDS |fn| |$spadLibFT|))
+                      ((member '|dependents| (RKEYIDS |fn| |$spadLibFT|))
                        (EXIT (PROGN
                                (SPADLET |stream|
                                         (|readLib1| |fn| |$spadLibFT|
@@ -2418,9 +2418,9 @@
     (DECLARE (SPECIAL |$globalExposureGroupAlist| |$localExposureData|))
     (RETURN
       (SEQ (COND
-             ((MEMQ |name| '(|Union| |Record| |Mapping|)) 'T)
-             ((MEMQ |name| (ELT |$localExposureData| 2)) NIL)
-             ((MEMQ |name| (ELT |$localExposureData| 1)) 'T)
+             ((member |name| '(|Union| |Record| |Mapping|)) 'T)
+             ((member |name| (ELT |$localExposureData| 2)) NIL)
+             ((member |name| (ELT |$localExposureData| 1)) 'T)
              ('T (SPADLET |found| NIL)
               (DO ((G167914 (ELT |$localExposureData| 0)
                        (CDR G167914))
diff --git a/src/interp/define.lisp.pamphlet b/src/interp/define.lisp.pamphlet
index 776dd3a..3cbf380 100644
--- a/src/interp/define.lisp.pamphlet
+++ b/src/interp/define.lisp.pamphlet
@@ -105,7 +105,7 @@
                                          |e|)
                                   NIL))))
                ((AND (NULL (CAR |signature|))
-                     (NULL (MEMQ (KAR |rhs|) |$ConstructorNames|))
+                     (NULL (member (KAR |rhs|) |$ConstructorNames|))
                      (SPADLET |sig| (|getSignatureFromMode| |lhs| |e|)))
                 (|compDefine1|
                     (CONS 'DEF
@@ -291,7 +291,7 @@
 (DEFUN |addEmptyCapsuleIfNecessary| (|target| |rhs|)
   (declare (special |$SpecialDomainNames|) (ignore |target|))
   (COND
-    ((MEMQ (KAR |rhs|) |$SpecialDomainNames|) |rhs|)
+    ((member (KAR |rhs|) |$SpecialDomainNames|) |rhs|)
     ('T (CONS '|add| (CONS |rhs| (CONS (CONS 'CAPSULE NIL) NIL))))))
 
 ;getTargetFromRhs(lhs,rhs,e) ==
@@ -575,7 +575,7 @@
                (EXIT (|insert| (EQSUBSTLIST |$mvl| |$tvl| |u|) |pl|)))
            (IF (AND (AND (PAIRP |u|)
                          (PROGN (SPADLET |op| (QCAR |u|)) 'T))
-                    (MEMQ |op| '(SIGNATURE ATTRIBUTE)))
+                    (member |op| '(SIGNATURE ATTRIBUTE)))
                (EXIT |pl|))
            (IF (ATOM |u|) (EXIT |pl|))
            (EXIT (|makeCategoryPredicates,fnl| |u| |pl|))))))
@@ -1487,7 +1487,7 @@
                       (OR (|isCategoryPackageName| |$op|)
                           (COND
                             ((BOUNDP '|$mutableDomains|)
-                             (MEMQ |$op| |$mutableDomains|))
+                             (member |$op| |$mutableDomains|))
                             ('T NIL))))
              (SPADLET |signature'|
                       (CONS (CAR |signature|)
@@ -1603,7 +1603,7 @@
                                            (SPADLET |cb|
                                             (QCDR |ISTMP#4|))
                                            'T)))))))
-                        (MEMQ |fn| '(|List| |Vector|))
+                        (member |fn| '(|List| |Vector|))
                         (BOOT-EQUAL (|compDefineFunctor1,FindRep| |cb|)
                             |ab|))
                    (SPADLET |$e|
@@ -1916,7 +1916,7 @@
         ('T (SPADLET T$ (|compOrCroak| |body| |m| |e|))
          (COND
            ((AND (PAIRP |body|) (PROGN (SPADLET |op| (QCAR |body|)) 'T)
-                 (MEMQ |op| '(|add| CAPSULE)))
+                 (member |op| '(|add| CAPSULE)))
             T$)
            ('T
             (SPADLET |$NRTaddForm|
@@ -3046,7 +3046,7 @@
                                      NIL))
                                (NREVERSE0 G168215))
                             (SEQ (EXIT (COND
-                                         ((MEMQ |v| |d|)
+                                         ((member |v| |d|)
                                           (SETQ G168215
                                            (CONS |v| G168215))))))))))
              (DO ((G168239 |vl| (CDR G168239)) (|v| NIL)
@@ -3057,7 +3057,7 @@
                       (PROGN (SETQ |d| (CAR G168240)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((MEMQ |v| |d|)
+                            ((member |v| |d|)
                              (PROGN
                                (SAY |v|
                                     " depends on itself")
@@ -4122,7 +4122,7 @@
     (RETURN
       (SEQ (IF (BOOT-EQUAL |dom| '$) (EXIT 'T))
            (IF (IDENTP |dom|)
-               (EXIT (MEMQ |dom| |$functorLocalParameters|)))
+               (EXIT (member |dom| |$functorLocalParameters|)))
            (IF (ATOM |dom|) (EXIT 'T))
            (EXIT (PROG (G168996)
                    (SPADLET G168996 'T)
@@ -4153,7 +4153,7 @@
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                        (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |n| (QCAR |ISTMP#2|)) 'T)))))
-              (MEMQ |op| '(ELT QREFELT)))
+              (member |op| '(ELT QREFELT)))
          NIL)
         ((|canCacheLocalDomain,domargsglobal| |dom|)
          (SPADLET |$functorLocalParameters|
@@ -4210,7 +4210,7 @@
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                              (AND (PAIRP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL))))))
-               (EXIT (OR (MEMQ R |Rlist|)
+               (EXIT (OR (member R |Rlist|)
                          (|compileCases,isEltArgumentIn| |Rlist|
                              (CDR |x|)))))
            (IF (AND (PAIRP |x|) (EQ (QCAR |x|) 'QREFELT)
@@ -4222,7 +4222,7 @@
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                              (AND (PAIRP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL))))))
-               (EXIT (OR (MEMQ R |Rlist|)
+               (EXIT (OR (member R |Rlist|)
                          (|compileCases,isEltArgumentIn| |Rlist|
                              (CDR |x|)))))
            (EXIT (OR (|compileCases,isEltArgumentIn| |Rlist| (CAR |x|))
@@ -5617,7 +5617,7 @@ Since we can't be sure we take the least disruptive course of action.
                    (COND
                      ((AND (NULL (|member| (KAR |rhs|)
                                      |$NonMentionableDomainNames|))
-                           (NULL (MEMQ |lhs| |$functorLocalParameters|)))
+                           (NULL (member |lhs| |$functorLocalParameters|)))
                       (SPADLET |$functorLocalParameters|
                                (APPEND |$functorLocalParameters|
                                        (CONS |lhs| NIL)))))
@@ -6326,14 +6326,14 @@ Since we can't be sure we take the least disruptive course of action.
   (CONS '|DomainSubstitutionMacro| (CONS |parameters| (CONS |x| NIL))))
 
 ;mustInstantiate D ==
-; D is [fn,:.] and ^(MEMQ(fn,$DummyFunctorNames) or GET(fn,"makeFunctionList"))
+; D is [fn,:.] and ^(member(fn,$DummyFunctorNames) or GET(fn,"makeFunctionList"))
 
 (DEFUN |mustInstantiate| (D)
   (PROG (|fn|)
   (declare (special |$DummyFunctorNames|))
     (RETURN
       (AND (PAIRP D) (PROGN (SPADLET |fn| (QCAR D)) 'T)
-           (NULL (OR (MEMQ |fn| |$DummyFunctorNames|)
+           (NULL (OR (member |fn| |$DummyFunctorNames|)
                      (GETL |fn| '|makeFunctionList|)))))))
 
 ;DomainSubstitutionFunction(parameters,body) ==
@@ -6371,7 +6371,7 @@ Since we can't be sure we take the least disruptive course of action.
   (declare (special |$definition| |$extraParms|))
     (RETURN
       (SEQ (IF (ATOM |body|)
-               (EXIT (SEQ (IF (MEMQ |body| |parameters|)
+               (EXIT (SEQ (IF (member |body| |parameters|)
                               (EXIT (MKQ |body|)))
                           (EXIT |body|))))
            (IF (|member| |body| |parameters|)
diff --git a/src/interp/format.lisp.pamphlet b/src/interp/format.lisp.pamphlet
index 4126a18..daa61c9 100644
--- a/src/interp/format.lisp.pamphlet
+++ b/src/interp/format.lisp.pamphlet
@@ -670,7 +670,7 @@
                             (UPCASE (|queryUserKeyedMsg| 'S2IZ0060
                                      (CONS |op1| NIL))))
                    (COND
-                     ((NULL (MEMQ (STRING2ID-N |x| 1) '(Y YES)))
+                     ((NULL (member (STRING2ID-N |x| 1) '(Y YES)))
                       (PROGN
                         (SPADLET |ok| NIL)
                         (|sayKeyedMsg| 'S2IZ0061 (CONS |op1| NIL)))))))
diff --git a/src/interp/fortcall.lisp.pamphlet b/src/interp/fortcall.lisp.pamphlet
index 9453747..efb0317 100644
--- a/src/interp/fortcall.lisp.pamphlet
+++ b/src/interp/fortcall.lisp.pamphlet
@@ -380,7 +380,7 @@
                                    (CAR (SECOND |a|))
                                    (CDR (SECOND |a|)) |fp|)))
                             (COND
-                              ((NULL (MEMQ (CAR |a|)
+                              ((NULL (member (CAR |a|)
                                       (APPEND |dummies| |asps|)))
                                (|writeXDR| |a| "&xdrs"
                                    |fp|)))))))
@@ -945,7 +945,7 @@
 ;  nilLst := MAKE_-LIST(#args+1)
 ;  decPar := [["$elt","Lisp","construct"],:makeLispList decls]
 ;  fargNames := [INTERN STRCONC(STRINGIMAGE(u),'"__arg") for u in args |
-;                 not (MEMQ(u,dummies) or MEMQ(u,asps)) ]
+;                 not (member(u,dummies) or MEMQ(u,asps)) ]
 ;  for u in asps repeat
 ;    fargNames := delete(INTERN STRCONC(STRINGIMAGE(u),'"__arg"),fargNames)
 ;  resPar := ["construct",["@",["construct",:fargNames],_
@@ -1064,8 +1064,8 @@
                                (NREVERSE0 G166530))
                             (SEQ (EXIT (COND
                                          ((NULL
-                                           (OR (MEMQ |u| |dummies|)
-                                            (MEMQ |u| |asps|)))
+                                           (OR (member |u| |dummies|)
+                                            (member |u| |asps|)))
                                           (SETQ G166530
                                            (CONS
                                             (INTERN
@@ -1906,7 +1906,7 @@
                                                   G166922))))))))
                                (SPADLET |els| NIL)
                                (COND
-                                 ((MEMQ 0 |dims|)
+                                 ((member 0 |dims|)
                                   (SPADLET |els| (CONS NIL NIL)))
                                  ((EQL (|#| |dims|) 1)
                                   (SPADLET |els|
@@ -2025,7 +2025,7 @@
                              "Can't cope with output dimensions higher than 3"
                                             NIL))))
                                (COND
-                                 ((NULL (MEMQ 0 |dims|))
+                                 ((NULL (member 0 |dims|))
                                   (SPADLET |els|
                                            (|makeVector|
                                             (NREVERSE |els|) NIL))))
diff --git a/src/interp/functor.lisp.pamphlet b/src/interp/functor.lisp.pamphlet
index 95670e5..9594d41 100644
--- a/src/interp/functor.lisp.pamphlet
+++ b/src/interp/functor.lisp.pamphlet
@@ -1085,7 +1085,7 @@
 ;  [['SetDomainSlots124,'$,['QUOTE,args1],['LIST,:args2]]]
 
 (DEFUN |setVector12,freeof| (|a| |b|)
-  (SEQ (IF (ATOM |a|) (EXIT (NULL (MEMQ |a| |b|))))
+  (SEQ (IF (ATOM |a|) (EXIT (NULL (member |a| |b|))))
        (IF (|setVector12,freeof| (CAR |a|) |b|)
            (EXIT (|setVector12,freeof| (CDR |a|) |b|)))
        (EXIT NIL)))
@@ -2068,7 +2068,7 @@
   (PROG (|x| |ISTMP#1| |name| |ISTMP#2| |number| |ISTMP#3| |u'|)
     (RETURN
       (SEQ (IF (ATOM |code|) (EXIT NIL))
-           (IF (MEMQ (QCAR |code|) '(ELT QREFELT))
+           (IF (member (QCAR |code|) '(ELT QREFELT))
                (EXIT (SEQ (SETELT |copyvec| (CADDR |code|)
                                   (|union| (ELT |copyvec|
                                             (CADDR |code|))
@@ -2096,7 +2096,7 @@
                                               (SPADLET |u'|
                                                (QCAR |ISTMP#3|))
                                               'T))))))))
-                          (MEMQ |x| '(SETELT QSETREFV)))
+                          (member |x| '(SETELT QSETREFV)))
                      (EXIT (|DescendCodeAdd1,update| |u'| |copyvec|
                                (CONS (CONS |name| |number|) |sofar|)))))))))
 
@@ -2958,7 +2958,7 @@
                                                  (SPADLET |fn|
                                                   (QCAR |truename|))
                                                  'T)
-                                               (MEMQ |fn|
+                                               (member |fn|
                                                 '(|Zero| |One|)))
                                               NIL)
                                              ('T
diff --git a/src/interp/g-boot.lisp.pamphlet b/src/interp/g-boot.lisp.pamphlet
index f2da45f..f76235f 100644
--- a/src/interp/g-boot.lisp.pamphlet
+++ b/src/interp/g-boot.lisp.pamphlet
@@ -47,7 +47,7 @@
                  (COND
                    ((BOOT-EQUAL |a| 'EXIT) 'T)
                    ((BOOT-EQUAL |a| 'QUOTE) NIL)
-                   ((MEMQ |a| '(SEQ PROG LAMBDA MLAMBDA LAM)) NIL)
+                   ((member |a| '(SEQ PROG LAMBDA MLAMBDA LAM)) NIL)
                    ('T (|nakedEXIT?| |d|))))
                 ('T (OR (|nakedEXIT?| |a|) (|nakedEXIT?| |d|))))))))))
 
@@ -690,7 +690,7 @@
     (RETURN
       (SEQ (IF (NULL |x|) (EXIT NIL))
            (IF (IDENTP |x|)
-               (EXIT (SEQ (IF (MEMQ |x| |$labelsForGO|)
+               (EXIT (SEQ (IF (member |x| |$labelsForGO|)
                               (EXIT (CONS |x| NIL)))
                           (EXIT NIL))))
            (IF (ATOM |x|) (EXIT NIL))
@@ -869,7 +869,7 @@
                             (PROGN
                               (SPADLET |cls| (NREVERSE |cls|))
                               'T)))
-                     (IDENTP |lcl|) (NULL (MEMQ |lcl| |$labelsForGO|)))
+                     (IDENTP |lcl|) (NULL (member |lcl| |$labelsForGO|)))
                 (SPADLET |e|
                          (CONS 'SEQ
                                (APPEND |cls|
@@ -915,7 +915,7 @@
                                 (SEQ (EXIT
                                       (SETQ G2596
                                        (OR G2596
-                                        (MEMQ |g| |$labelsForGO|))))))))))
+                                        (member |g| |$labelsForGO|))))))))))
                 (|bootTran| (CONS 'PROGN |cls|)))
                ((AND (PAIRP |e|) (EQ (QCAR |e|) 'SEQ)
                      (PROGN
@@ -1170,7 +1170,7 @@
             (SPADLET |l1|
                      (|defLET2| |var1| (|addCARorCDR| 'CAR |rhs|)))
             (COND
-              ((MEMQ |var2| '(NIL |.|)) |l1|)
+              ((member |var2| '(NIL |.|)) |l1|)
               ('T
                (COND
                  ((AND (PAIRP |l1|) (ATOM (CAR |l1|)))
diff --git a/src/interp/g-cndata.lisp.pamphlet b/src/interp/g-cndata.lisp.pamphlet
index 79474cc..cce4edb 100644
--- a/src/interp/g-cndata.lisp.pamphlet
+++ b/src/interp/g-cndata.lisp.pamphlet
@@ -96,7 +96,7 @@
 
 (DEFUN |attribute?| (|name|)
   (DECLARE (SPECIAL *ATTRIBUTES*))
-  (MEMQ |name| *ATTRIBUTES*))
+  (member |name| *ATTRIBUTES*))
 
 ;abbreviation? abb ==
 ;  -- if it is an abbreviation, return the corresponding name
@@ -135,7 +135,7 @@
       (PROGN
         (SPADLET |op| (|opOf| |c|))
         (COND
-          ((MEMQ |op| |$CategoryNames|) 'T)
+          ((member |op| |$CategoryNames|) 'T)
           ((BOOT-EQUAL (GETDATABASE |op| 'CONSTRUCTORKIND) '|category|)
            'T)
           ('T NIL))))))
diff --git a/src/interp/g-opt.lisp.pamphlet b/src/interp/g-opt.lisp.pamphlet
index 2c4a645..78ed045 100644
--- a/src/interp/g-opt.lisp.pamphlet
+++ b/src/interp/g-opt.lisp.pamphlet
@@ -246,7 +246,7 @@
   (PROG (|ISTMP#1| |u|)
     (RETURN
       (SEQ (IF (OR (ATOM |s|)
-                   (MEMQ (CAR |s|) '(QUOTE SEQ REPEAT COLLECT)))
+                   (member (CAR |s|) '(QUOTE SEQ REPEAT COLLECT)))
                (EXIT NIL))
            (IF (AND (PAIRP |s|) (EQ (QCAR |s|) 'THROW)
                     (PROGN
@@ -493,7 +493,7 @@
                                  (PROGN
                                    (SPADLET |n| (QCAR |ISTMP#2|))
                                    'T)))))
-                   (MEMQ |q| '(ELT QREFELT CONST)))
+                   (member |q| '(ELT QREFELT CONST)))
               (COND
                 ((AND (NULL |$bootStrapMode|)
                       (SPADLET |w| (|optCallSpecially| |q| |x| |n| R)))
@@ -554,10 +554,10 @@
       (COND
         ((SPADLET |y| (LASSOC R |$specialCaseKeyList|))
          (|optSpecialCall| |x| |y| |n|))
-        ((MEMQ (KAR R) |$optimizableConstructorNames|)
+        ((member (KAR R) |$optimizableConstructorNames|)
          (|optSpecialCall| |x| R |n|))
         ((AND (SPADLET |y| (|get| R '|value| |$e|))
-              (MEMQ (|opOf| (CAR |y|)) |$optimizableConstructorNames|))
+              (member (|opOf| (CAR |y|)) |$optimizableConstructorNames|))
          (|optSpecialCall| |x| (CAR |y|) |n|))
         ((AND (SPADLET |y|
                        (|optCallSpecially,lookup| R |$getDomainCode|))
@@ -1094,7 +1094,7 @@
                 (SPADLET |ISTMP#1| (QCDR |p|))
                 (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |x| (QCAR |ISTMP#1|)) 'T)))
-              (MEMQ |fn| |$BasicPredicates|) (FUNCALL |fn| |x|))
+              (member |fn| |$BasicPredicates|) (FUNCALL |fn| |x|))
          'T)
         ('T NIL)))))
 
@@ -1165,7 +1165,7 @@
                                             (SPADLET |a|
                                              (QCAR |ISTMP#3|))
                                             'T))))))))
-                    (MEMQ |op| '(EXIT RETURN THROW)))
+                    (member |op| '(EXIT RETURN THROW)))
                (EXIT |a|))
            (EXIT |l|)))))
 
diff --git a/src/interp/g-util.lisp.pamphlet b/src/interp/g-util.lisp.pamphlet
index ddf37c8..c3c0804 100644
--- a/src/interp/g-util.lisp.pamphlet
+++ b/src/interp/g-util.lisp.pamphlet
@@ -459,7 +459,7 @@
 
 (DEFUN |isPatternVar| (|v|)
   (AND (IDENTP |v|)
-       (MEMQ |v|
+       (member |v|
              '(** *1 *2 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15
                   *16 *17 *18 *19 *20))
        'T))
@@ -1043,7 +1043,7 @@
             ((OR (LASSOC '|value| |proplist|)
                  (LASSOC '|mode| |proplist|))
              (EXIT (|warnLiteral| |x|)))))
-         ((MEMQ |prop| '(|mode| |value|))
+         ((member |prop| '(|mode| |value|))
           (COND
             ((LASSOC '|isLiteral| |proplist|)
              (EXIT (|warnLiteral| |x|))))))))
diff --git a/src/interp/ht-util.lisp.pamphlet b/src/interp/ht-util.lisp.pamphlet
index cc91590..6eabe42 100644
--- a/src/interp/ht-util.lisp.pamphlet
+++ b/src/interp/ht-util.lisp.pamphlet
@@ -3683,7 +3683,7 @@
              (SPADLET |key| (CADDDR |t|))
              (SPADLET |options| (CADR (CDDDDR |t|)))
              |t|)
-           (IF (NULL (MEMQ |class| |$levels|)) (EXIT |al|))
+           (IF (NULL (member |class| |$levels|)) (EXIT |al|))
            (IF (OR (OR (BOOT-EQUAL |key| 'LITERALS)
                        (BOOT-EQUAL |key| 'INTEGER))
                    (BOOT-EQUAL |key| 'STRING))
diff --git a/src/interp/i-analy.lisp.pamphlet b/src/interp/i-analy.lisp.pamphlet
index aaf230d..1b7d951 100644
--- a/src/interp/i-analy.lisp.pamphlet
+++ b/src/interp/i-analy.lisp.pamphlet
@@ -150,7 +150,7 @@
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
                               (AND (PAIRP |ISTMP#3|)
                                    (EQ (QCDR |ISTMP#3|) NIL)))))))
-              (MEMQ |up| |$univariateDomains|))
+              (member |up| |$univariateDomains|))
          (COND
            ((BOOT-EQUAL |u| |var|) |t|)
            ('T (|getMinimalVariableTower| |var| |t'|))))
@@ -164,7 +164,7 @@
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                        (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |t'| (QCAR |ISTMP#2|)) 'T)))))
-              (MEMQ |up| |$univariateDomains|))
+              (member |up| |$univariateDomains|))
          (COND
            ((BOOT-EQUAL |u| |var|) |t|)
            ('T (|getMinimalVariableTower| |var| |t'|))))
@@ -178,7 +178,7 @@
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                        (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |t'| (QCAR |ISTMP#2|)) 'T)))))
-              (MEMQ |mp| |$multivariateDomains|))
+              (member |mp| |$multivariateDomains|))
          (COND
            ((|member| |var| |u|) |t|)
            ('T (|getMinimalVariableTower| |var| |t'|))))
@@ -530,7 +530,7 @@
              ((AND (PAIRP |target|)
                    (BOOT-EQUAL (CAR |target|) '|Variable|))
               NIL)
-             ((NULL (MEMQ |op| '(+ - * ** /))) NIL)
+             ((NULL (member |op| '(+ - * ** /))) NIL)
              ((NULL (|containsPolynomial| |target|)) NIL)
              ('T
               (DO ((G166357 |arglist| (CDR G166357)) (|x| NIL)
diff --git a/src/interp/i-coerce.lisp.pamphlet b/src/interp/i-coerce.lisp.pamphlet
index 81d6719..ff6a552 100644
--- a/src/interp/i-coerce.lisp.pamphlet
+++ b/src/interp/i-coerce.lisp.pamphlet
@@ -1408,7 +1408,7 @@ Interpreter Coercion Query Functions
 ;  not EQ(tt1,tt2) => 'maybe
 ;  doms := '(Polynomial List Matrix FiniteSet Vector Stream Gaussian)
 ;  MEMQ(tt1,doms) => canCoerce(CADR t1, CADR t2)
-;  not (MEMQ(tt1,$univariateDomains) or MEMQ(tt2,$multivariateDomains)) =>
+;  not (member(tt1,$univariateDomains) or MEMQ(tt2,$multivariateDomains)) =>
 ;    'maybe
 ;  u2 := deconstructT t2
 ;  1 = #u2 => NIL
@@ -1428,9 +1428,9 @@ Interpreter Coercion Query Functions
                   '(|Polynomial| |List| |Matrix| |FiniteSet| |Vector|
                        |Stream| |Gaussian|))
          (COND
-           ((MEMQ |tt1| |doms|) (|canCoerce| (CADR |t1|) (CADR |t2|)))
-           ((NULL (OR (MEMQ |tt1| |$univariateDomains|)
-                      (MEMQ |tt2| |$multivariateDomains|)))
+           ((member |tt1| |doms|) (|canCoerce| (CADR |t1|) (CADR |t2|)))
+           ((NULL (OR (member |tt1| |$univariateDomains|)
+                      (member |tt2| |$multivariateDomains|)))
             '|maybe|)
            ('T (SPADLET |u2| (|deconstructT| |t2|))
             (COND
@@ -2250,7 +2250,7 @@ Interpreter Coercion Query Functions
 ;  num2 and MEMQ(n1,nonpols) => true
 ;  isVar1 and MEMQ(n2,nonpols) and
 ;    absolutelyCannotCoerce(t1,u2) => true
-;  (MEMQ(n1,scalars) or (t1 = QFI)) and (t2 = '(Polynomial (Integer))) =>
+;  (member(n1,scalars) or (t1 = QFI)) and (t2 = '(Polynomial (Integer))) =>
 ;    true
 ;  v2 := deconstructT t2
 ;  1 = #v2 => NIL
@@ -2275,23 +2275,23 @@ Interpreter Coercion Query Functions
                   '(|BigFloat| |NewFloat| |Float| |DoubleFloat|
                        |RationalNumber|))
          (COND
-           ((AND (MEMQ |n1| |scalars|) |int2|) 'T)
+           ((AND (member |n1| |scalars|) |int2|) 'T)
            ((AND (BOOT-EQUAL |t1| QFI) |int2|) 'T)
            ('T
             (SPADLET |num2|
-                     (OR |int2| (MEMQ |n2| |scalars|)
+                     (OR |int2| (member |n2| |scalars|)
                          (BOOT-EQUAL |t2| QFI)))
-            (SPADLET |isVar1| (MEMQ |n1| '(|Variable| |Symbol|)))
+            (SPADLET |isVar1| (member |n1| '(|Variable| |Symbol|)))
             (COND
               ((AND |num2| |isVar1|) 'T)
-              ((AND |num2| (MEMQ |n1| |$univariateDomains|)) 'T)
-              ((AND |num2| (MEMQ |n1| |$multivariateDomains|)) 'T)
+              ((AND |num2| (member |n1| |$univariateDomains|)) 'T)
+              ((AND |num2| (member |n1| |$multivariateDomains|)) 'T)
               ('T
                (SPADLET |miscpols|
                         '(|Polynomial| |ElementaryFunction|
                              |SimpleAlgebraicExtension|))
                (COND
-                 ((AND |num2| (MEMQ |n1| |miscpols|)) 'T)
+                 ((AND |num2| (member |n1| |miscpols|)) 'T)
                  ('T
                   (SPADLET |aggs|
                            '(|Matrix| |List| |Vector| |Stream| |Array|
@@ -2299,9 +2299,9 @@ Interpreter Coercion Query Functions
                   (SPADLET |u1| (|underDomainOf| |t1|))
                   (SPADLET |u2| (|underDomainOf| |t2|))
                   (COND
-                    ((AND (MEMQ |n1| |aggs|) (BOOT-EQUAL |u1| |t2|))
+                    ((AND (member |n1| |aggs|) (BOOT-EQUAL |u1| |t2|))
                      'T)
-                    ((AND (MEMQ |n2| |aggs|) (BOOT-EQUAL |u2| |t1|))
+                    ((AND (member |n2| |aggs|) (BOOT-EQUAL |u2| |t1|))
                      'T)
                     ('T
                      (SPADLET |algs|
@@ -2309,11 +2309,11 @@ Interpreter Coercion Query Functions
                                    |RectangularMatrix| |Quaternion|))
                      (SPADLET |nonpols| (APPEND |aggs| |algs|))
                      (COND
-                       ((AND |num2| (MEMQ |n1| |nonpols|)) 'T)
-                       ((AND |isVar1| (MEMQ |n2| |nonpols|)
+                       ((AND |num2| (member |n1| |nonpols|)) 'T)
+                       ((AND |isVar1| (member |n2| |nonpols|)
                              (|absolutelyCannotCoerce| |t1| |u2|))
                         'T)
-                       ((AND (OR (MEMQ |n1| |scalars|)
+                       ((AND (OR (member |n1| |scalars|)
                                  (BOOT-EQUAL |t1| QFI))
                              (BOOT-EQUAL |t2|
                                  '(|Polynomial| (|Integer|))))
@@ -3056,7 +3056,7 @@ Interpreter Coercion Query Functions
                                      (BOOT-EQUAL |t2|
                                       (CONS |$QuotientField|
                                        (CONS |$Integer| NIL)))
-                                     (MEMQ (CAR |t2|)
+                                     (member (CAR |t2|)
                                       '(|RationalNumber| |BigFloat|
                                         |NewFloat| |Float|
                                         |DoubleFloat|))))
@@ -3686,7 +3686,7 @@ Interpreter Coercion Query Functions
              (SPADLET |tl1| (|replaceSharps| |constrSig| |t1|))
              (SPADLET |tl2| (|replaceSharps| |constrSig| |t2|))
              (COND
-               ((NULL (MEMQ NIL |coSig|)) 'T)
+               ((NULL (member NIL |coSig|)) 'T)
                ('T (SPADLET |done| NIL) (SPADLET |value| 'T)
                 (SEQ (DO ((G167888 (CDR |t1|) (CDR G167888))
                           (|a1| NIL)
diff --git a/src/interp/i-funsel.lisp.pamphlet b/src/interp/i-funsel.lisp.pamphlet
index 8ad864f..8c9f46f 100644
--- a/src/interp/i-funsel.lisp.pamphlet
+++ b/src/interp/i-funsel.lisp.pamphlet
@@ -1688,7 +1688,7 @@ isPartialMode m ==
                     (setq |ISTMP#1| (QCDR |a|))
                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
              (BOOT-EQUAL |a| |$RationalNumber|)
-             (MEMQ (QCAR |a|)
+             (member (QCAR |a|)
                    (CONS (QCAR |$Symbol|)
                          (CONS '|RationalRadicals| (CONS '|Pi| NIL))))
              (|typeIsASmallInteger| |a|)
@@ -1711,7 +1711,7 @@ isPartialMode m ==
                 (setq |ISTMP#1| (QCDR |a|))
                 (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (setq |uD| (QCAR |ISTMP#1|)) t)))
-              (MEMQ D '(|Polynomial| |RationalFunction| |Fraction|)))
+              (member D '(|Polynomial| |RationalFunction| |Fraction|)))
          (|defaultTargetFE| |uD| (IFCAR |options|)))
         ((AND (PAIRP |a|) (EQUAL (QCAR |a|) |$FunctionalExpression|)
               (PROGN
@@ -1979,7 +1979,7 @@ isPartialMode m ==
     (RETURN
       (SEQ (COND
              ((ATOM |cond|) NIL)
-             ((MEMQ (QCAR |cond|) '(AND OR |and| |or|))
+             ((member (QCAR |cond|) '(AND OR |and| |or|))
               (PROG (G166941)
                 (setq G166941 NIL)
                 (RETURN
@@ -1996,7 +1996,7 @@ isPartialMode m ==
              ((EQ (QCAR |cond|) '|isDomain|)
               (AND (EQ |symbol| (CADR |cond|))
                    (PAIRP (setq |dom| (CADDR |cond|)))
-                   (MEMQ |dom|
+                   (member |dom|
                          '(|PositiveInteger| |NonNegativeInteger|))))
              (t NIL))))))
 
@@ -3144,7 +3144,7 @@ the types A and B themselves are not sorted by preference.
       (SEQ (PROGN
              (setq |dcName| (CAR |dc|))
              (COND
-               ((NULL (MEMQ |dcName| '(|Record| |Union| |Enumeration|)))
+               ((NULL (member |dcName| '(|Record| |Union| |Enumeration|)))
                 NIL)
                (t (setq |fun| NIL)
                 (setq |makeFunc|
@@ -4279,7 +4279,7 @@ the types A and B themselves are not sorted by preference.
                                    (setq |x| (QCAR |ISTMP#2|))
                                    t))))))
               (COND
-                ((MEMQ |x| '(ATTRIBUTE SIGNATURE))
+                ((member |x| '(ATTRIBUTE SIGNATURE))
                  (CONS (CONS (CONS '|ofCategory|
                                    (CONS |pat|
                                     (CONS
@@ -4364,7 +4364,7 @@ the types A and B themselves are not sorted by preference.
                                    (setq |x| (QCAR |ISTMP#2|))
                                    t))))))
               (COND
-                ((MEMQ |x| '(ATTRIBUTE SIGNATURE))
+                ((member |x| '(ATTRIBUTE SIGNATURE))
                  (CONS (CONS '|ofCategory|
                              (CONS |pat|
                                    (CONS
@@ -4579,7 +4579,7 @@ the types A and B themselves are not sorted by preference.
                            (setq |args| (QCDR |t|))
                            t)))
               t)
-             ((MEMQ |con| '(|construct| |#|)) NIL)
+             ((member |con| '(|construct| |#|)) NIL)
              (t
               (PROG (G168431)
                 (setq G168431 t)
@@ -4805,7 +4805,7 @@ the types A and B themselves are not sorted by preference.
                                 (setq SL '|failed|))
                                (t (setq |d1| (|subCopy| |d| SL))
                                 (COND
-                                  ((AND (CONSP |d1|) (MEMQ |v| |d1|))
+                                  ((AND (CONSP |d1|) (member |v| |d1|))
                                    (setq SL '|failed|))
                                   (t
                                    (setq SL
@@ -4893,7 +4893,7 @@ the types A and B themselves are not sorted by preference.
                                      NIL)
                                   (SEQ (EXIT
                                         (COND
-                                          ((MEMQ |v| |cat|)
+                                          ((member |v| |cat|)
                                            (setq |mem| t)
                                            (setq |havevars|
                                             (CONS |s| |havevars|)))
@@ -5556,7 +5556,7 @@ the types A and B themselves are not sorted by preference.
 (defun |mkDomPvar| (p d subs y)
  (let (l)
  (declare (special |$FormalMapVariableList|))
-  (if (setq l (memq p |$FormalMapVariableList|))
+  (if (setq l (member p |$FormalMapVariableList|))
    (|domArg| d (- (|#| |$FormalMapVariableList|) (|#| l)) subs y)
    d)))
 
@@ -5568,7 +5568,7 @@ the types A and B themselves are not sorted by preference.
 (defun |domArg| (type i subs y)
  (let (p)
   (declare (special |$FormalMapVariableList|))
-  (if (setq p (memq (elt |$FormalMapVariableList| i) subs))
+  (if (setq p (member (elt |$FormalMapVariableList| i) subs))
    (elt y (- (|#| subs) (|#| p)))
    type)))
 
diff --git a/src/interp/i-map.lisp.pamphlet b/src/interp/i-map.lisp.pamphlet
index 064f35e..6069d24 100644
--- a/src/interp/i-map.lisp.pamphlet
+++ b/src/interp/i-map.lisp.pamphlet
@@ -3433,7 +3433,7 @@
                                          |arg|)
                                         G168193))))))))
                  (COND
-                   ((MEMQ '|noMapVal| |args|) '|noMapVal|)
+                   ((member '|noMapVal| |args|) '|noMapVal|)
                    ('T (CONS |op| |args|))))))
              ('T |funBody|))))))
 
@@ -3914,7 +3914,7 @@
                           (PROGN
                             (SPADLET |itrl| (NREVERSE |itrl|))
                             'T)))
-                   (MEMQ |oper| '(REPEAT COLLECT)))
+                   (member |oper| '(REPEAT COLLECT)))
               (|findLocalsInLoop| |op| |itrl| |body|))
              ((AND (PAIRP |form|)
                    (PROGN
diff --git a/src/interp/i-output.lisp.pamphlet b/src/interp/i-output.lisp.pamphlet
index e2875b4..7197b8d 100644
--- a/src/interp/i-output.lisp.pamphlet
+++ b/src/interp/i-output.lisp.pamphlet
@@ -3118,7 +3118,7 @@ NIL
              ('T (SPADLET |op| (CAAR |u|))
               (COND
                 ((BOOT-EQUAL |op| 'MATRIX) (|largeMatrixAlist| |u|))
-                ((MEMQ |op|
+                ((member |op|
                        '(LET RARROW
                           SEGMENT
                           -
@@ -3151,7 +3151,7 @@ NIL
                                             ((MINUSP |dist|)
                                              (RETURN NIL)))))))))
                  |ans|)
-                ((MEMQ |op| '(+ *))
+                ((member |op| '(+ *))
                  (COND
                    ((SPADLET |ans|
                              (|LargeMatrixp| (CADR |u|)
@@ -4927,7 +4927,7 @@ NIL
          (|outputString| |start| |linelength| (|atom2String| |u|)))
         ((EQ (SPADLET |x| (|keyp| |u|)) '-)
          (|charyMinus| |u| |v| |start| |linelength|))
-        ((MEMQ |x| '(+ * AGGLST))
+        ((member |x| '(+ * AGGLST))
          (|charySplit| |u| |v| |start| |linelength|))
         ((EQ |x| 'EQUATNUM)
          (|charyEquatnum| |u| |v| |start| |linelength|))
diff --git a/src/interp/i-resolv.lisp.pamphlet b/src/interp/i-resolv.lisp.pamphlet
index 10011c1..7b636ce 100644
--- a/src/interp/i-resolv.lisp.pamphlet
+++ b/src/interp/i-resolv.lisp.pamphlet
@@ -2717,7 +2717,7 @@ this symmetric resolution is done the following way:
   (declare (special |$QuotientField|))
   (OR (EQCAR |t1| |$QuotientField|)
       (COND
-        ((MEMQ (|opOf| |t2|)
+        ((member (|opOf| |t2|)
                (CONS |$QuotientField|
                      (CONS '|SimpleAlgebraicExtension| NIL)))
          NIL)
diff --git a/src/interp/i-spec1.lisp.pamphlet b/src/interp/i-spec1.lisp.pamphlet
index d85ae8f..9f02e1f 100644
--- a/src/interp/i-spec1.lisp.pamphlet
+++ b/src/interp/i-spec1.lisp.pamphlet
@@ -3245,14 +3245,14 @@ There are several special modes used in these functions:
              ((SYMBOLP |v|)
               (COND
                 ((BOOT-EQUAL |v| '$$$) |v|)
-                ((MEMQ |v| |$boundVariables|) |v|)
+                ((member |v| |$boundVariables|) |v|)
                 ((SPADLET |p| (POSITION |v| |$freeVariables|))
                  (CONS 'ELT
                        (CONS '|envArg|
                              (CONS (|positionInVec| |p|
                                     (|#| |$freeVariables|))
                                    NIL))))
-                ((OR (BOOT-EQUAL |locals| 'ALL) (MEMQ |v| |locals|))
+                ((OR (BOOT-EQUAL |locals| 'ALL) (member |v| |locals|))
                  (SPADLET |$freeVariables| (CONS |v| |$freeVariables|))
                  (CONS 'ELT
                        (CONS '|envArg|
@@ -5002,7 +5002,7 @@ There are several special modes used in these functions:
                        'T))))
          (SPADLET |a| (|removeQuote| |a|))
          (COND
-           ((MEMQ |op|
+           ((member |op|
                   '(|Polynomial| |RationalFunction| |AlgebraicFunction|
                        |Expression| |ElementaryFunction|
                        |LiouvillianFunction| |FunctionalExpression|
@@ -5010,7 +5010,7 @@ There are several special modes used in these functions:
             '|all|)
            ((BOOT-EQUAL |op| '|UnivariatePolynomial|) (LIST |a|))
            ((BOOT-EQUAL |op| '|Variable|) (LIST |a|))
-           ((MEMQ |op|
+           ((member |op|
                   '(|MultivariatePolynomial|
                        |DistributedMultivariatePolynomial|
                        |HomogeneousDistributedMultivariatePolynomial|))
diff --git a/src/interp/i-util.lisp.pamphlet b/src/interp/i-util.lisp.pamphlet
index b169a26..394d236 100644
--- a/src/interp/i-util.lisp.pamphlet
+++ b/src/interp/i-util.lisp.pamphlet
@@ -216,8 +216,8 @@ lisp code is unwrapped.
                  '(|Integer| |NonNegativeInteger| |PositiveInteger|))
         (COND
           ((OR (ATOM |d1|) (ATOM |d2|)) NIL)
-          ((SPADLET |l| (MEMQ (CAR |d2|) |subDomainList|))
-           (MEMQ (CAR |d1|) (CDR |l|)))
+          ((SPADLET |l| (member (CAR |d2|) |subDomainList|))
+           (member (CAR |d1|) (CDR |l|)))
           ('T NIL))))))
 
 ;$variableNumberAlist := nil
diff --git a/src/interp/info.lisp.pamphlet b/src/interp/info.lisp.pamphlet
index f621bf8..b3567ce 100644
--- a/src/interp/info.lisp.pamphlet
+++ b/src/interp/info.lisp.pamphlet
@@ -1042,7 +1042,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                           (|genDomainView| |viewName| |name| |cat|
                               '|HasCategory|)
                           (COND
-                            ((NULL (MEMQ |viewName|
+                            ((NULL (member |viewName|
                                     |$functorLocalParameters|))
                              (SPADLET |$functorLocalParameters|
                                       (APPEND |$functorLocalParameters|
diff --git a/src/interp/iterator.lisp.pamphlet b/src/interp/iterator.lisp.pamphlet
index 5f35110..6bd0ed7 100644
--- a/src/interp/iterator.lisp.pamphlet
+++ b/src/interp/iterator.lisp.pamphlet
@@ -75,7 +75,7 @@
              (SPADLET |itl| (NREVERSE (CDR |LETTMP#1|)))
              (COND ((STRINGP |op|) (SPADLET |op| (INTERN |op|))))
              (COND
-               ((NULL (MEMQ |collectOp| '(COLLECT COLLECTV COLLECTVEC)))
+               ((NULL (member |collectOp| '(COLLECT COLLECTV COLLECTVEC)))
                 (|systemError|
                     (CONS '|illegal reduction form:| (CONS |form| NIL))))
                ('T (SPADLET |$sideEffectsList| NIL)
diff --git a/src/interp/lisplib.lisp.pamphlet b/src/interp/lisplib.lisp.pamphlet
index 348fdb2..7017589 100644
--- a/src/interp/lisplib.lisp.pamphlet
+++ b/src/interp/lisplib.lisp.pamphlet
@@ -820,7 +820,7 @@
   (declare (special /FN))
     (RETURN
       (SEQ (COND
-             ((MEMQ '? |l|) (RETURN (|editFile| '(/C TELL *))))
+             ((member '? |l|) (RETURN (|editFile| '(/C TELL *))))
              ('T (SPADLET |optionList| (/OPTIONS |l|))
               (SPADLET |funList|
                        (OR (TRUNCLIST |l| |optionList|) (CONS /FN NIL)))
@@ -1450,7 +1450,7 @@
                                          (|union| G166680
                                           (|Operators| |v|)))))))))
               (COND
-                ((MEMQ (CAR |u|) |answer|) |answer|)
+                ((member (CAR |u|) |answer|) |answer|)
                 ('T (CONS (CAR |u|) |answer|))))
              ('T
               (PROG (G166691)
@@ -2252,7 +2252,7 @@
                 ((EQ |op| '|DomainSubstitutionMacro|)
                  (|mkEvalableCategoryForm| (CADR |argl|)))
                 ((EQ |op| '|mkCategory|) |c|)
-                ((MEMQ |op| |$CategoryNames|)
+                ((member |op| |$CategoryNames|)
                  (SPADLET |LETTMP#1|
                           (|compOrCroak| |c| |$EmptyMode| |$e|))
                  (SPADLET |x| (CAR |LETTMP#1|))
@@ -2298,7 +2298,7 @@
   (PROG (|ISTMP#1| |ISTMP#2| |target|)
   (declare (special |$SpecialDomainNames|))
     (RETURN
-      (OR (MEMQ (KAR D) |$SpecialDomainNames|) (|isFunctor| D)
+      (OR (member (KAR D) |$SpecialDomainNames|) (|isFunctor| D)
           (AND (PROGN
                  (SPADLET |ISTMP#1| (|getmode| D |e|))
                  (AND (PAIRP |ISTMP#1|)
@@ -2374,14 +2374,14 @@
           ((NULL (IDENTP |op|)) NIL)
           (|$InteractiveMode|
               (COND
-                ((MEMQ |op| '(|Union| |SubDomain| |Mapping| |Record|))
+                ((member |op| '(|Union| |SubDomain| |Mapping| |Record|))
                  'T)
                 ('T
-                 (MEMQ (GETDATABASE |op| 'CONSTRUCTORKIND)
+                 (member (GETDATABASE |op| 'CONSTRUCTORKIND)
                        '(|domain| |package|)))))
           ((SPADLET |u|
                     (OR (|get| |op| '|isFunctor| |$CategoryFrame|)
-                        (MEMQ |op| '(|SubDomain| |Union| |Record|))))
+                        (member |op| '(|SubDomain| |Union| |Record|))))
            |u|)
           ((|constructor?| |op|)
            (COND
diff --git a/src/interp/modemap.lisp.pamphlet b/src/interp/modemap.lisp.pamphlet
index d8730c0..0153f1f 100644
--- a/src/interp/modemap.lisp.pamphlet
+++ b/src/interp/modemap.lisp.pamphlet
@@ -52,7 +52,7 @@
                      (EQ (|char| '|#|) (ELT |s| 0))
                      (EQ (|char| '|#|) (ELT |s| 1))))
             |e|)
-           ((MEMQ |domain| (|getDomainsInScope| |e|)) |e|)
+           ((member |domain| (|getDomainsInScope| |e|)) |e|)
            ((|isLiteral| |domain| |e|) |e|)
            ('T (|addNewDomain| |domain| |e|))))
         ((BOOT-EQUAL (SPADLET |name| (CAR |domain|)) '|Category|) |e|)
@@ -770,7 +770,7 @@
                            'T)))
               NIL)
              ((BOOT-EQUAL |op| 'DEF) (BOOT-EQUAL |opname| (CAAR |l|)))
-             ((MEMQ |op| '(PROGN SEQ))
+             ((member |op| '(PROGN SEQ))
               (|AMFCR,redefinedList| |opname| |l|))
              ((BOOT-EQUAL |op| 'COND)
               (PROG (G166521)
diff --git a/src/interp/msgdb.lisp.pamphlet b/src/interp/msgdb.lisp.pamphlet
index dee5817..a0e3979 100644
--- a/src/interp/msgdb.lisp.pamphlet
+++ b/src/interp/msgdb.lisp.pamphlet
@@ -317,26 +317,26 @@
                                         (SPADLET |q|
                                          (CONS (ELT |x| |i|) |q|)))))
                                 (COND
-                                  ((MEMQ (|char| '|f|) |q|)
+                                  ((member (|char| '|f|) |q|)
                                    (SPADLET |arg|
                                     (COND
                                       ((PAIRP |arg|)
                                        (APPLY (CAR |arg|) (CDR |arg|)))
                                       ('T |arg|)))))
                                 (COND
-                                  ((MEMQ (|char| '|m|) |q|)
+                                  ((member (|char| '|m|) |q|)
                                    (SPADLET |arg|
                                     (CONS
                                      (CONS "%m" |arg|)
                                      NIL))))
                                 (COND
-                                  ((MEMQ (|char| '|s|) |q|)
+                                  ((member (|char| '|s|) |q|)
                                    (SPADLET |arg|
                                     (CONS
                                      (CONS "%s" |arg|)
                                      NIL))))
                                 (COND
-                                  ((MEMQ (|char| '|p|) |q|)
+                                  ((member (|char| '|p|) |q|)
                                    (COND
                                      (|$texFormatting|
                                       (SPADLET |arg|
@@ -345,7 +345,7 @@
                                       (SPADLET |arg|
                                        (|prefix2String| |arg|))))))
                                 (COND
-                                  ((MEMQ (|char| 'P) |q|)
+                                  ((member (|char| 'P) |q|)
                                    (COND
                                      (|$texFormatting|
                                       (SPADLET |arg|
@@ -391,28 +391,28 @@
                                                  (|prefix2String| |x|)
                                                  G166247))))))))))))
                                 (COND
-                                  ((AND (MEMQ (|char| '|o|) |q|)
+                                  ((AND (member (|char| '|o|) |q|)
                                     |$texFormatting|)
                                    (SPADLET |arg|
                                     (|operationLink| |arg|))))
                                 (COND
-                                  ((MEMQ (|char| '|c|) |q|)
+                                  ((member (|char| '|c|) |q|)
                                    (SPADLET |arg|
                                     (CONS
                                      (CONS "%ce" |arg|)
                                      NIL))))
                                 (COND
-                                  ((MEMQ (|char| '|r|) |q|)
+                                  ((member (|char| '|r|) |q|)
                                    (SPADLET |arg|
                                     (CONS
                                      (CONS "%rj" |arg|)
                                      NIL))))
                                 (COND
-                                  ((MEMQ (|char| '|l|) |q|)
+                                  ((member (|char| '|l|) |q|)
                                    (SPADLET |l|
                                     (CONS "%l" |l|))))
                                 (COND
-                                  ((MEMQ (|char| '|b|) |q|)
+                                  ((member (|char| '|b|) |q|)
                                    (SPADLET |l|
                                     (CONS "%b" |l|))))
                                 (SPADLET |l|
@@ -420,7 +420,7 @@
                                            ((PAIRP |arg|)
                                             (COND
                                               ((OR
-                                                (MEMQ (|char| '|y|)
+                                                (member (|char| '|y|)
                                                  |q|)
                                                 (BOOT-EQUAL (CAR |arg|)
                                                  "%y")
@@ -440,7 +440,7 @@
                                                   (CONS |head| |l|)))))))
                                            ('T (CONS |arg| |l|))))
                                 (COND
-                                  ((MEMQ (|char| '|b|) |q|)
+                                  ((member (|char| '|b|) |q|)
                                    (SPADLET |l|
                                     (CONS "%d" |l|))))
                                 (DO ((G166261 '(|.| |,| ! |:| |;| ?)
@@ -453,7 +453,7 @@
                                      NIL)
                                   (SEQ (EXIT
                                         (COND
-                                          ((MEMQ (|char| |ch|) |q|)
+                                          ((member (|char| |ch|) |q|)
                                            (SPADLET |l|
                                             (CONS |ch| |l|)))
                                           ('T NIL))))))
@@ -965,7 +965,7 @@
     (RETURN
       (PROGN
         (SPADLET |$msgDatabaseName| (|pathname| |dbName|))
-        (SPADLET |msg| (|segmentKeyedMsg| (|getKeyedMsg| |key|)))
+        (SPADLET |msg| (|segmentKeyedMsg| (|fetchKeyedMsg| |key| nil)))
         (SPADLET |msg| (|substituteSegmentedMsg| |msg| |args|))
         (COND
           (|$displayMsgNumber|
diff --git a/src/interp/newfort.lisp.pamphlet b/src/interp/newfort.lisp.pamphlet
index 1fa0a34..79d42e4 100644
--- a/src/interp/newfort.lisp.pamphlet
+++ b/src/interp/newfort.lisp.pamphlet
@@ -647,7 +647,7 @@
                                 (SPADLET |f| NIL))
                                ('T (SPADLET |f| |g|)))))))
               (COND
-                ((MEMQ (|object2Identifier| (QCAR |e|)) '(ROW AGGLST))
+                ((member (|object2Identifier| (QCAR |e|)) '(ROW AGGLST))
                  |e|)
                 ('T (SPADLET |n| (HGET |$fortCsHash| |e|))
                  (COND
diff --git a/src/interp/nruncomp.lisp.pamphlet b/src/interp/nruncomp.lisp.pamphlet
index 1ded696..4c90e9a 100644
--- a/src/interp/nruncomp.lisp.pamphlet
+++ b/src/interp/nruncomp.lisp.pamphlet
@@ -267,7 +267,7 @@
                                                   NIL)))
                                                G166191))))))))))
                           (IF (OR (|constructor?| (QCAR |x|))
-                                  (MEMQ (QCAR |x|)
+                                  (member (QCAR |x|)
                                         '(|Union| |Mapping|)))
                               (EXIT (CONS (QCAR |x|)
                                      (PROG (G166216)
@@ -304,7 +304,7 @@
                                         (COPY-TREE
                                          (|lispize| |compForm|)))
                                        NIL))))))
-           (IF (MEMQ |x| |$formalArgList|)
+           (IF (member |x| |$formalArgList|)
                (EXIT (SEQ (SPADLET |v|
                                    (ELT |$FormalMapVariableList|
                                     (POSN1 |x| |$formalArgList|)))
@@ -342,7 +342,7 @@
                    (SPADLET |u| (|get| |form| '|value| |$e|)))
               (SPADLET |u| (CAR |u|))
               (COND
-                ((MEMQ (KAR |u|) '(|Union| |Record|))
+                ((member (KAR |u|) '(|Union| |Record|))
                  (|listOfBoundVars| |u|))
                 ('T (CONS |form| NIL))))
              ((ATOM |form|) NIL)
@@ -419,7 +419,7 @@
                          ('T |dc|)))
               (SPADLET |sig| (MSUBST |ndc| |dc| |sig|))
               (COND
-                ((NULL (MEMQ (KAR |ndc|)
+                ((NULL (member (KAR |ndc|)
                              |$optimizableConstructorNames|))
                  NIL)
                 ('T (SPADLET |dcval| (|optCallEval| |ndc|))
@@ -761,10 +761,10 @@
         ('T
          (SPADLET |value|
                   (COND
-                    ((MEMQ |item| |$formalArgList|) |item|)
+                    ((member |item| |$formalArgList|) |item|)
                     ('T NIL)))
          (COND
-           ((AND (ATOM |item|) (NULL (MEMQ |item| '($ $$)))
+           ((AND (ATOM |item|) (NULL (member |item| '($ $$)))
                  (NULL |value|))
             (SPADLET |$NRTdeltaList|
                      (CONS (CONS '|domain|
@@ -1433,7 +1433,7 @@
                                               (CONS |i| (CONS |v| NIL))))
                                             G166818))))))))
                          (COND
-                           ((MEMQ |$NRTaddForm| |$locals|)
+                           ((member |$NRTaddForm| |$locals|)
                             (SPADLET |addargname|
                                      (ELT |$FormalMapVariableList|
                                       (POSN1 |$NRTaddForm| |$locals|)))
@@ -2634,7 +2634,7 @@
                           (IF (BOOT-EQUAL (CAR |u|) '|domain|)
                               (EXIT (CADR |u|)))
                           (EXIT (|error| '|bad $NRTdeltaList entry|)))))
-           (IF (MEMQ (CAR |t|) '(|Mapping| |Union| |Record| |:|))
+           (IF (member (CAR |t|) '(|Mapping| |Union| |Record| |:|))
                (EXIT (CONS (CAR |t|)
                            (PROG (G167677)
                              (SPADLET G167677 NIL)
@@ -2777,7 +2777,7 @@
                                       (SPADLET |ind| (QCAR |ISTMP#2|))
                                       'T)))))
                       (NULL (BOOT-EQUAL |dom| '$))
-                      (MEMQ |elt| '(ELT QREFELT CONST)))
+                      (member |elt| '(ELT QREFELT CONST)))
                  (COND
                    ((SPADLET |k| (|NRTassocIndex| |dom|))
                     (RPLACA (LASTNODE |bod|)
diff --git a/src/interp/nrunfast.lisp.pamphlet b/src/interp/nrunfast.lisp.pamphlet
index d85ae8c..3985cfa 100644
--- a/src/interp/nrunfast.lisp.pamphlet
+++ b/src/interp/nrunfast.lisp.pamphlet
@@ -2044,7 +2044,7 @@
                    (BOOT-EQUAL (|#| (SPADLET |sargl| (CDR |source|)))
                        (|#| |argl|)))
               (COND
-                ((AND (MEMQ |op| '(|Record| |Union|))
+                ((AND (member |op| '(|Record| |Union|))
                       (PROGN
                         (SPADLET |ISTMP#1| (CAR |argl|))
                         (AND (PAIRP |ISTMP#1|)
@@ -2084,7 +2084,7 @@
                                           (BOOT-EQUAL |stag| |atag|)
                                           (|lazyMatchArg| |s| |a|
                                            |dollar| |domain|))))))))))
-                ((MEMQ |op| '(|Union| |Mapping| QUOTE))
+                ((member |op| '(|Union| |Mapping| QUOTE))
                  (PROG (G166806)
                    (SPADLET G166806 'T)
                    (RETURN
@@ -2197,7 +2197,7 @@
                        (OR (GETDATABASE (|opOf| |s|) 'COSIG)
                            (RETURN NIL)))
               (COND
-                ((MEMQ (|opOf| |s|) '(|Union| |Mapping| |Record|))
+                ((member (|opOf| |s|) '(|Union| |Mapping| |Record|))
                  (SPADLET |scoSig|
                           (PROG (G166901)
                             (SPADLET G166901 NIL)
@@ -2424,7 +2424,7 @@
              (SPADLET |functorName| (CAR G167017))
              (SPADLET |argl| (CDR G167017))
              (COND
-               ((AND (MEMQ |functorName| '(|Record| |Union|))
+               ((AND (member |functorName| '(|Record| |Union|))
                      (PROGN
                        (SPADLET |ISTMP#1| (CAR |argl|))
                        (AND (PAIRP |ISTMP#1|)
@@ -2457,7 +2457,7 @@
                                              'T)
                                             NIL)))
                                          G167036)))))))))
-               ((MEMQ |functorName| '(|Union| |Mapping|))
+               ((member |functorName| '(|Union| |Mapping|))
                 (CONS |functorName|
                       (PROG (G167053)
                         (SPADLET G167053 NIL)
@@ -3141,7 +3141,7 @@
                  (SPADLET |slot4| (ELT |domain| 4))
                  (SPADLET |catlist| (ELT |slot4| 1))
                  (OR (|member| |catform| |catlist|)
-                     (MEMQ (|opOf| |catform|) '(|Object| |Type|))
+                     (member (|opOf| |catform|) '(|Object| |Type|))
                      (PROG (G167440)
                        (SPADLET G167440 NIL)
                        (RETURN
diff --git a/src/interp/nrungo.lisp.pamphlet b/src/interp/nrungo.lisp.pamphlet
index 549c25d..dec26f6 100644
--- a/src/interp/nrungo.lisp.pamphlet
+++ b/src/interp/nrungo.lisp.pamphlet
@@ -296,7 +296,7 @@
                  (COND
                    ((PAIRP |t|) (SPADLET |t| (|NRTevalDomain| |t|))))
                  (ELT |t| 0))))
-             ((MEMQ (CAR |t|) '(|Mapping| |Union| |Record| |:|))
+             ((member (CAR |t|) '(|Mapping| |Union| |Record| |:|))
               (CONS (CAR |t|)
                     (PROG (G166135)
                       (SPADLET G166135 NIL)
diff --git a/src/interp/nrunopt.lisp.pamphlet b/src/interp/nrunopt.lisp.pamphlet
index 392759e..85869ac 100644
--- a/src/interp/nrunopt.lisp.pamphlet
+++ b/src/interp/nrunopt.lisp.pamphlet
@@ -352,7 +352,7 @@
                       (PROGN (SETQ |x| (CAR G166266)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (NULL (MEMQ |$op| '(|Zero| |One|)))
+                            ((AND (NULL (member |$op| '(|Zero| |One|)))
                                   (PAIRP |x|)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |x|))
@@ -652,7 +652,7 @@
                                (NREVERSE0 G166480))
                             (SEQ (EXIT (COND
                                          ((NULL
-                                           (MEMQ (|opOf| (CAR |x|))
+                                           (member (|opOf| (CAR |x|))
                                             (|allConstructors|)))
                                           (SETQ G166480
                                            (CONS |x| G166480))))))))))
@@ -1043,7 +1043,7 @@
                      (SPADLET |r| (QCDR |pred|))
                      'T))
               (COND
-                ((MEMQ |op| '(AND |and| OR |or| NOT |not|))
+                ((member |op| '(AND |and| OR |or| NOT |not|))
                  (PROG (G166771)
                    (SPADLET G166771 NIL)
                    (RETURN
@@ -1055,7 +1055,7 @@
                        (SEQ (EXIT (SETQ G166771
                                         (OR G166771
                                          (|isHasDollarPred| |x|)))))))))
-                ((MEMQ |op| '(|HasCategory| |HasAttribute|))
+                ((member |op| '(|HasCategory| |HasAttribute|))
                  (BOOT-EQUAL (CAR |r|) '$))))
              ('T NIL))))))
 
@@ -1074,7 +1074,7 @@
                      (SPADLET |op| (QCAR |pred|))
                      (SPADLET |r| (QCDR |pred|))
                      'T)
-                   (MEMQ |op| '(AND |and| OR |or| NOT |not|)))
+                   (member |op| '(AND |and| OR |or| NOT |not|)))
               (PROG (G166795)
                 (SPADLET G166795 NIL)
                 (RETURN
@@ -1189,7 +1189,7 @@
              ((ATOM |x|) |x|)
              ('T (SPADLET |op| (QCAR |x|))
               (COND
-                ((MEMQ |op| '(|HasCategory| |HasAttribute|)) |x|)
+                ((member |op| '(|HasCategory| |HasAttribute|)) |x|)
                 ((EQ |op| '|has|) (|compHasFormat| |x|))
                 ('T
                  (PROG (G166899)
@@ -1804,7 +1804,7 @@
                                    'T)))
                           (|constructor?| |f|))
                      (CONS (CAR |u|) NIL))
-                    ((MEMQ |op| '(ATTRIBUTE SIGNATURE)) NIL)
+                    ((member |op| '(ATTRIBUTE SIGNATURE)) NIL)
                     ((AND (BOOT-EQUAL |op| 'IF) (PAIRP |u|)
                           (PROGN
                             (SPADLET |pred| (QCAR |u|))
@@ -2013,7 +2013,7 @@
         (SPADLET |con| (KAR |r|))
         (SPADLET |options| (KDR |r|))
         (SPADLET |ok|
-                 (OR (MEMQ |con| (|allConstructors|))
+                 (OR (member |con| (|allConstructors|))
                      (SPADLET |con| (|abbreviation?| |con|))))
         (COND
           ((NULL |ok|)
@@ -2743,8 +2743,8 @@
              (SPADLET |options| (CDR |options|))
              (COND
                ((NULL |con|) (|dcSizeAll|))
-               ('T (SPADLET |quiet| (MEMQ '|quiet| |options|))
-                (SPADLET |full| (MEMQ '|full| |options|))
+               ('T (SPADLET |quiet| (member '|quiet| |options|))
+                (SPADLET |full| (member '|full| |options|))
                 (SPADLET |name| (OR (|abbreviation?| |con|) |con|))
                 (SPADLET |infovec| (|getInfovec| |name|))
                 (SPADLET |template| (ELT |infovec| 0))
@@ -3564,7 +3564,7 @@
       (SEQ (COND
              ((AND (PAIRP |form|)
                    (PROGN (SPADLET |op| (QCAR |form|)) 'T)
-                   (MEMQ |op| (|allConstructors|)))
+                   (member |op| (|allConstructors|)))
               (|expandType| |form| |template| |domain|))
              ((AND (PAIRP |form|) (EQ (QCAR |form|) 'SIGNATURE)
                    (PROGN
@@ -3648,7 +3648,7 @@
              ('T (SPADLET |functorName| (CAR |lazyt|))
               (SPADLET |argl| (CDR |lazyt|))
               (COND
-                ((AND (MEMQ |functorName| '(|Record| |Union|))
+                ((AND (member |functorName| '(|Record| |Union|))
                       (PROGN
                         (SPADLET |ISTMP#1| (CAR |argl|))
                         (AND (PAIRP |ISTMP#1|)
diff --git a/src/interp/package.lisp.pamphlet b/src/interp/package.lisp.pamphlet
index e71f44b..8be59e8 100644
--- a/src/interp/package.lisp.pamphlet
+++ b/src/interp/package.lisp.pamphlet
@@ -305,7 +305,7 @@
                                                (SEQ
                                                 (EXIT
                                                  (COND
-                                                   ((MEMQ |name|
+                                                   ((member |name|
                                                      |locals|)
                                                     (SETQ G166269
                                                      (CONS
@@ -614,7 +614,7 @@
                                    (SPADLET |body| (QCAR |ISTMP#2|))
                                    'T))))))
               (COND
-                ((NULL (MEMQ |name| |$ResetItems|))
+                ((NULL (member |name| |$ResetItems|))
                  (SPADLET |$ResetItems| (CONS |name| |$ResetItems|))))
               (COND
                 ((AND (PAIRP |body|)
diff --git a/src/interp/parsing.lisp.pamphlet b/src/interp/parsing.lisp.pamphlet
index f166421..f9b3238 100644
--- a/src/interp/parsing.lisp.pamphlet
+++ b/src/interp/parsing.lisp.pamphlet
@@ -1385,7 +1385,8 @@ foo defined inside of fum gets renamed as fum,foo.")
 
 (defun smint-able (x)
   (or (typep x 'fixnum)
-      (and (pairp x) (memq (car x) '(|One| |Zero| LENGTH \# QCSIZE QVSIZE QLENGTH)))))
+      (and (pairp x) (member (car x)
+                       '(|One| |Zero| LENGTH \# QCSIZE QVSIZE QLENGTH)))))
 
 (defun DEF-PROCESS (X &aux $MACROASSOC)
   (COND ((EQCAR X 'DEF) (DEF (SECOND X) (THIRD X) (FIRST (CDDDDR X))))
@@ -4587,7 +4588,7 @@ postpar
 
 ;;;     ***       |postJoin| REDEFINED
 
-(DEFUN |postJoin| (#0=#:G167191) (PROG (|a| |b| |name| |l| |c| |al|) (RETURN (PROGN (SPADLET |a| (CADR #0#)) (SPADLET |l| (CDDR #0#)) (SPADLET |a| (|postTran| |a|)) (SPADLET |l| (|postTranList| |l|)) (COND ((AND (PAIRP |l|) (EQ (QCDR |l|) NIL) (PROGN (SPADLET |b| (QCAR |l|)) (QUOTE T)) (PAIRP |b|) (PROGN (SPADLET |name| (QCAR |b|)) (QUOTE T)) (MEMQ |name| (QUOTE (ATTRIBUTE SIGNATURE)))) (SPADLET |l| (LIST (CONS (QUOTE CATEGORY) (CONS |b| NIL)))))) (SPADLET |al| (COND ((AND (PAIRP |a|) (EQ (QCAR |a|) (QUOTE |@Tuple|)) (PROGN (SPADLET |c| (QCDR |a|)) (QUOTE T))) |c|) ((QUOTE T) (LIST |a|)))) (CONS (QUOTE |Join|) (APPEND |al| |l|)))))) 
+(DEFUN |postJoin| (#0=#:G167191) (PROG (|a| |b| |name| |l| |c| |al|) (RETURN (PROGN (SPADLET |a| (CADR #0#)) (SPADLET |l| (CDDR #0#)) (SPADLET |a| (|postTran| |a|)) (SPADLET |l| (|postTranList| |l|)) (COND ((AND (PAIRP |l|) (EQ (QCDR |l|) NIL) (PROGN (SPADLET |b| (QCAR |l|)) (QUOTE T)) (PAIRP |b|) (PROGN (SPADLET |name| (QCAR |b|)) (QUOTE T)) (member |name| (QUOTE (ATTRIBUTE SIGNATURE)))) (SPADLET |l| (LIST (CONS (QUOTE CATEGORY) (CONS |b| NIL)))))) (SPADLET |al| (COND ((AND (PAIRP |a|) (EQ (QCAR |a|) (QUOTE |@Tuple|)) (PROGN (SPADLET |c| (QCDR |a|)) (QUOTE T))) |c|) ((QUOTE T) (LIST |a|)))) (CONS (QUOTE |Join|) (APPEND |al| |l|)))))) 
 ;postMapping u  ==
 ;  u isnt ["->",source,target] => u
 ;  ['Mapping,postTran target,:unTuple postTran source]
@@ -4804,7 +4805,7 @@ postpar
 
 ;;;     ***       |postWith| REDEFINED
 
-(DEFUN |postWith| (#0=#:G167795) (PROG (|$insidePostCategoryIfTrue| |a| |op| |b|) (DECLARE (SPECIAL |$insidePostCategoryIfTrue|)) (RETURN (PROGN (SPADLET |a| (CADR #0#)) (SPADLET |$insidePostCategoryIfTrue| (QUOTE T)) (SPADLET |a| (|postTran| |a|)) (COND ((AND (PAIRP |a|) (PROGN (SPADLET |op| (QCAR |a|)) (QUOTE T)) (MEMQ |op| (QUOTE (SIGNATURE ATTRIBUTE IF)))) (CONS (QUOTE CATEGORY) (CONS |a| NIL))) ((AND (PAIRP |a|) (EQ (QCAR |a|) (QUOTE PROGN)) (PROGN (SPADLET |b| (QCDR |a|)) (QUOTE T))) (CONS (QUOTE CATEGORY) |b|)) ((QUOTE T) |a|)))))) 
+(DEFUN |postWith| (#0=#:G167795) (PROG (|$insidePostCategoryIfTrue| |a| |op| |b|) (DECLARE (SPECIAL |$insidePostCategoryIfTrue|)) (RETURN (PROGN (SPADLET |a| (CADR #0#)) (SPADLET |$insidePostCategoryIfTrue| (QUOTE T)) (SPADLET |a| (|postTran| |a|)) (COND ((AND (PAIRP |a|) (PROGN (SPADLET |op| (QCAR |a|)) (QUOTE T)) (member |op| (QUOTE (SIGNATURE ATTRIBUTE IF)))) (CONS (QUOTE CATEGORY) (CONS |a| NIL))) ((AND (PAIRP |a|) (EQ (QCAR |a|) (QUOTE PROGN)) (PROGN (SPADLET |b| (QCDR |a|)) (QUOTE T))) (CONS (QUOTE CATEGORY) |b|)) ((QUOTE T) |a|)))))) 
 ;postTransformCheck x ==
 ;  $defOp: local:= nil
 ;  postcheck x
diff --git a/src/interp/profile.lisp.pamphlet b/src/interp/profile.lisp.pamphlet
index d1e5102..74fcb22 100644
--- a/src/interp/profile.lisp.pamphlet
+++ b/src/interp/profile.lisp.pamphlet
@@ -114,7 +114,7 @@
           ('T (SPADLET |op| '|constructor|) (SPADLET |argl| NIL)
            (SPADLET |opSig| (CONS |op| NIL))))
         (COND
-          ((AND (BOOT-EQUAL |label| '|locals|) (MEMQ |name| |argl|))
+          ((AND (BOOT-EQUAL |label| '|locals|) (member |name| |argl|))
            (SPADLET |label| '|arguments|)))
         (SPADLET |alist1| (LASSOC |opSig| |$profileAlist|))
         (SPADLET |alist2| (LASSOC |label| |alist1|))
@@ -219,7 +219,7 @@
                         NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((NULL (MEMQ |con| '(|locals| |arguments|)))
+                            ((NULL (member |con| '(|locals| |arguments|)))
                              (PROGN
                                (|sayBrightly|
                                    (|concat| "  "
diff --git a/src/interp/simpbool.lisp.pamphlet b/src/interp/simpbool.lisp.pamphlet
index 4557ba4..45f0d9e 100644
--- a/src/interp/simpbool.lisp.pamphlet
+++ b/src/interp/simpbool.lisp.pamphlet
@@ -291,9 +291,9 @@
         ((ATOM |x|) (|bassert| |x|))
         ('T (SPADLET |op| (CAR |x|)) (SPADLET |argl| (CDR |x|))
          (COND
-           ((MEMQ |op| '(AND |and|)) (|band| |argl|))
-           ((MEMQ |op| '(OR |or|)) (|bor| |argl|))
-           ((MEMQ |op| '(NOT |not|)) (|bnot| (CAR |argl|)))
+           ((member |op| '(AND |and|)) (|band| |argl|))
+           ((member |op| '(OR |or|)) (|bor| |argl|))
+           ((member |op| '(NOT |not|)) (|bnot| (CAR |argl|)))
            ('T (|bassert| |x|))))))))
 
 ;band x ==
diff --git a/src/interp/slam.lisp.pamphlet b/src/interp/slam.lisp.pamphlet
index 7bbb09d..596ffcd 100644
--- a/src/interp/slam.lisp.pamphlet
+++ b/src/interp/slam.lisp.pamphlet
@@ -1252,7 +1252,7 @@
                     (PROGN (SETQ |x| (CAR G166513)) NIL))
                 NIL)
              (SEQ (EXIT (COND
-                          ((NULL (MEMQ |x| |thoseCleared|))
+                          ((NULL (member |x| |thoseCleared|))
                            (SEQ (SPADLET |slamListName|
                                          (|mkCacheName| |x|))
                                 (SET |slamListName| NIL)
diff --git a/src/interp/sys-pkg.lisp.pamphlet b/src/interp/sys-pkg.lisp.pamphlet
index 16d9c60..040fb0e 100644
--- a/src/interp/sys-pkg.lisp.pamphlet
+++ b/src/interp/sys-pkg.lisp.pamphlet
@@ -24,10 +24,6 @@ from the environment.
 <<GCL.DEFINE-MACRO>>=
 #+:GCL    SYSTEM:DEFINE-MACRO 
 @ 
-\subsubsection{MEMQ}
-<<GCL.MEMQ>>=
-#+:GCL    SYSTEM:MEMQ 
-@ 
 \subsubsection{PNAME}
 <<GCL.PNAME>>=
 #+:GCL    SYSTEM:PNAME
@@ -329,13 +325,11 @@ provides support for compiler code.
 (lisp:in-package "VMLISP")
 (lisp:import '(
 <<GCL.DEFINE-MACRO>>
-<<GCL.MEMQ>>
 <<GCL.PNAME>>
 	  BOOT:|directoryp|))
 (lisp:export
     '(VMLISP::SINTP VMLISP::$FCOPY 
 <<GCL.DEFINE-MACRO>>
-<<GCL.MEMQ>>
 <<GCL.PNAME>>
          VMLISP::PUT VMLISP::DIGITS-BY-RADIX
 	 VMLISP::QVELT-1 VMLISP::QSETVELT-1 vmlisp::throw-protect
@@ -412,7 +406,7 @@ provides support for compiler code.
 	 VMLISP::EQQ VMLISP::PRETTYPRINT VMLISP::HASHEQ VMLISP::LOG2
 	 VMLISP::U-CASE VMLISP::NREMOVE VMLISP::QREFELT VMLISP::SIZE
 	 VMLISP::EOFP VMLISP::QCDAAR VMLISP::RSHUT VMLISP::ADD1
-	 VMLISP::QMEMQ VMLISP::SUBSTRING VMLISP::LOADVOL
+	 VMLISP::SUBSTRING VMLISP::LOADVOL
 	 VMLISP::QSTIMES VMLISP::STRINGLENGTH VMLISP::NEXT
 	 VMLISP::DEVICE VMLISP::MAPELT VMLISP::LENGTHOFBPI
 	 VMLISP::DIGITP VMLISP::QLENGTH VMLISP::QCAAADR VMLISP::CVEC
@@ -467,7 +461,7 @@ provides support for compiler code.
 
 ;;; Definitions for package VMLISP of type SHADOW
 (lisp:in-package "VMLISP")
-(lisp:import '(SYSTEM::DEFINE-MACRO SYSTEM::MEMQ SYSTEM::PNAME))
+(lisp:import '(SYSTEM::DEFINE-MACRO SYSTEM::PNAME))
 
 
 (in-package "BOOT") ;; Used to be "UNCOMMON"
@@ -627,7 +621,6 @@ provides support for compiler code.
 (lisp:import '(vmlisp::make-cvec))
 (lisp:import '(vmlisp::make-full-cvec))
 (lisp:import '(vmlisp::make-vec))
-(lisp:import '(vmlisp::memq))
 (lisp:import '(vmlisp::movevec))
 (lisp:import '(vmlisp::pname))
 (lisp:import '(vmlisp::prettyprin0))
@@ -668,7 +661,6 @@ provides support for compiler code.
 (lisp:import '(vmlisp::qenum))
 (lisp:import '(vmlisp::qeset))
 (lisp:import '(vmlisp::qlength))
-(lisp:import '(vmlisp::qmemq))
 (lisp:import '(vmlisp::qsadd1))
 (lisp:import '(vmlisp::qslessp))
 (lisp:import '(vmlisp::qsdec1))
diff --git a/src/interp/template.lisp.pamphlet b/src/interp/template.lisp.pamphlet
index 5d9ebbf..f8b1051 100644
--- a/src/interp/template.lisp.pamphlet
+++ b/src/interp/template.lisp.pamphlet
@@ -174,7 +174,7 @@
                    (COND
                      ((VECP |v|) (|lazyDomainSet| |y| |dollar| |u|))
                      ((OR (|constructor?| |v|)
-                          (MEMQ |v| '(|Record| |Union| |Mapping|)))
+                          (member |v| '(|Record| |Union| |Mapping|)))
                       (|lazyDomainSet| |y| |dollar| |u|))
                      ('T |y|)))
                   ('T |y|)))
@@ -600,7 +600,7 @@
                        (SPADLET |op| (QCAR |pred|))
                        (SPADLET |u| (QCDR |pred|))
                        'T)
-                     (MEMQ |op| '(AND OR NOT)))
+                     (member |op| '(AND OR NOT)))
                 (DO ((G166481 |u| (CDR G166481)) (|x| NIL))
                     ((OR (ATOM G166481)
                          (PROGN (SETQ |x| (CAR G166481)) NIL))
@@ -886,7 +886,7 @@
                                     (PROGN
                                       (SPADLET |a| (QCAR |ISTMP#3|))
                                       'T)))))))
-                   (MEMQ |op| '(SETELT QSETREFV)))
+                   (member |op| '(SETELT QSETREFV)))
               (COND
                 ((AND (NULL |condList|) (PAIRP |a|)
                       (EQ (QCAR |a|) 'CONS)
@@ -1044,7 +1044,7 @@
 (DEFUN |NRTinnerGetLocalIndex| (|x|)
   (COND
     ((ATOM |x|) |x|)
-    ((MEMQ (|opOf| |x|) '(|Union| |Record| |Mapping|))
+    ((member (|opOf| |x|) '(|Union| |Record| |Mapping|))
      (|NRTgetLocalIndex| |x|))
     ((|constructor?| |x|) (|NRTgetLocalIndex| |x|))
     ('T (|NRTaddInner| |x|))))
diff --git a/src/interp/termrw.lisp.pamphlet b/src/interp/termrw.lisp.pamphlet
index ed20405..7e5db2b 100644
--- a/src/interp/termrw.lisp.pamphlet
+++ b/src/interp/termrw.lisp.pamphlet
@@ -171,7 +171,7 @@ this means, EQ can be used to check whether something was done
         ((BOOT-EQUAL |tp| |t|) SL)
         ((ATOM |tp|)
          (COND
-           ((MEMQ |tp| |vars|)
+           ((member |tp| |vars|)
             (COND
               ((SPADLET |p| (|assoc| |tp| SL))
                (BOOT-EQUAL (CDR |p|) |t|))
diff --git a/src/interp/util.lisp.pamphlet b/src/interp/util.lisp.pamphlet
index da81617..ce58c70 100644
--- a/src/interp/util.lisp.pamphlet
+++ b/src/interp/util.lisp.pamphlet
@@ -884,8 +884,8 @@ This is used by the ")cd" system command.
 (defun interp-make-directory (direc)
   (setq direc (namestring direc))
   (if (string= direc "")  $current-directory
-   (if (or (memq :unix *features*)
-	   (memq 'unix *features*))
+   (if (or (member :unix *features*)
+	   (member 'unix *features*))
     (progn
       (if (char/= (char $current-directory (1-(length $current-directory))) #\/)
 	  (setq $current-directory (concat $current-directory "/")))
@@ -914,8 +914,8 @@ Make a directory relative to the {\bf \$spadroot} variable.
 (defun make-directory (direc)
   (setq direc (namestring direc))
   (if (string= direc "")  $SPADROOT
-   (if (or (memq :unix *features*)
-	   (memq 'unix *features*))
+   (if (or (member :unix *features*)
+	   (member 'unix *features*))
     (progn
       (if (char/= (char direc 0) #\/)
 	  (setq direc (concat $SPADROOT "/" direc)))
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index 82bdfde..efa8c48 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -264,8 +264,6 @@ documentclass{article}
 (defmacro qlength (a)
  `(length ,a))
 
-(defmacro qmemq (a b) `(memq ,a ,b))
-
 (defmacro qrefelt (vec ind)
  `(svref ,vec ,ind))
 
@@ -1326,7 +1324,7 @@ and works properly.
                 (DCQ (OP BV . BODY) NEW-DEFINITION)
                 (OR (EQ OP 'LAMBDA) (EQ OP 'MLAMBDA)))
               (COND
-                ( (NOT (MEMQ CURRENT-BINDING (FLAT-BV-LIST BV)))
+                ( (NOT (member CURRENT-BINDING (FLAT-BV-LIST BV)))
                  `(,OP ,BV ((LAMBDA (,CURRENT-BINDING) . ,BODY) ',OLD-DEF))
                    )
                 ( 'T
@@ -1809,10 +1807,10 @@ Camm issued a fix. This used to read:
   LP  (COND
         ( (NOT (PAIRP LIST-OF-ITEMS-1))
           (RETURN (QCDR H)) )
-        ( (QMEMQ
+        ( (member
             (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
             (QCDR H)) )
-        ( (QMEMQ I LIST-OF-ITEMS-2)
+        ( (member I LIST-OF-ITEMS-2)
           (QRPLACD V (SETQ V (CONS I NIL))) ) )
       (GO LP) ) )
 
@@ -1856,7 +1854,7 @@ Camm issued a fix. This used to read:
             ( 'T
               (RETURN (QCDR H)) ) ) )
         ( (NOT
-            (QMEMQ
+            (member
               (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
               (QCDR H)))
           (QRPLACD V (SETQ V (CONS I NIL))) ) )
@@ -1893,10 +1891,10 @@ Camm issued a fix. This used to read:
   LP1 (COND
         ( (NOT (PAIRP LIST-OF-ITEMS-1))
           (RETURN (QCDR H)) )
-        ( (QMEMQ
+        ( (member
             (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
             (QCDR H)) )
-        ( (NOT (QMEMQ I LIST-OF-ITEMS-2))
+        ( (NOT (member I LIST-OF-ITEMS-2))
           (QRPLACD V (SETQ V (CONS I NIL))) ) )
       (GO LP1) ) )
 
@@ -3131,7 +3129,7 @@ LP  (COND ((NULL X)
                           ANS)) ))
     (SETQ Y (CAR X))
     (SETQ X (CDR X))
-    (COND ((MEMQ (CAR Y) '(SUCHTHAT WHILE UNTIL))
+    (COND ((member (CAR Y) '(SUCHTHAT WHILE UNTIL))
                 (RETURN (LIST 'LIST2VEC (CONS 'COLLECT L)) ))
           ((member (CAR Y) '(IN ON) :test #'eq)
             (SETQ CONDS (CONS (LIST 'SIZE (CADDR Y)) CONDS))
@@ -4461,7 +4459,7 @@ terminals and empty or at-end files.  In Common Lisp, we must assume record size
 (DEFUN COMP-EXPAND (X)
   (COND ((atom x) x)
         ((eq (CAR X) 'QUOTE) X)
-        ((memq (CAR X) $COMP-MACROLIST)
+        ((member (CAR X) $COMP-MACROLIST)
          (comp-expand (macroexpand-1 x)))
         ((let ((a (comp-expand (car x)))
                (b (comp-expand (cdr x))))
@@ -4476,10 +4474,10 @@ terminals and empty or at-end files.  In Common Lisp, we must assume record size
           ((AND (eq U 'MAKEPROP) $TRACELETFLAG (RPLAC (CAR X) 'MAKEPROP-SAY) NIL)
            NIL)
            ; temporarily make TRACELET cause MAKEPROPs to be reported
-          ((MEMQ U '(DCQ RELET PRELET SPADLET SETQ LET) )
+          ((member U '(DCQ RELET PRELET SPADLET SETQ LET) )
            (COND ((NOT (eq U 'DCQ))
                   (COND ((OR (AND (eq $NEWSPAD T) (NOT $BOOT))
-                             (MEMQ $FUNNAME |$traceletFunctions|))
+                             (member $FUNNAME |$traceletFunctions|))
                          (NCONC X $FUNNAMETAIL)
                          (RPLACA X 'LETT))
                         ; this devious trick (due to RDJ) is needed since the compile
@@ -4488,7 +4486,7 @@ terminals and empty or at-end files.  In Common Lisp, we must assume record size
                         ($TRACELETFLAG (RPLACA X '/TRACE-LET))
                         ((eq U 'LET) (RPLACA X 'SPADLET)))))
            (COMP-TRAN-1 (CDDR X))
-           (AND (NOT (MEMQ U '(setq RELET)))
+           (AND (NOT (member U '(setq RELET)))
                 (COND ((IDENTP (CADR X)) (PUSHLOCVAR (CADR X)))
                       ((EQCAR (CADR X) 'FLUID)
                        (PUSH (CADADR X) FLUIDVARS)
@@ -4496,16 +4494,16 @@ terminals and empty or at-end files.  In Common Lisp, we must assume record size
                       ((mapc #'pushlocvar (listofatoms (cadr x))) nil))))
           ((and (symbolp u) (GET U 'ILAM))
            (RPLACA X (EVAL U)) (COMP-TRAN-1 X))
-          ((MEMQ U '(PROG LAMBDA))
+          ((member U '(PROG LAMBDA))
            (PROG (NEWBINDINGS RES)
                  (setq NEWBINDINGS NIL)
                  (mapcar #'(lambda (Y)
-                             (COND ((NOT (MEMQ Y LOCVARS))
+                             (COND ((NOT (member Y LOCVARS))
                                     (setq LOCVARS (CONS Y LOCVARS))
                                     (setq NEWBINDINGS (CONS Y NEWBINDINGS)))))
                          (second x))
                  (setq RES (COMP-TRAN-1 (CDDR X)))
-                 (setq locvars (remove-if #'(lambda (y) (memq y newbindings))
+                 (setq locvars (remove-if #'(lambda (y) (member y newbindings))
                                           locvars))
                  (RETURN (CONS U (CONS (CADR X) RES)) )) )
           ((PROGN (COMP-TRAN-1 U) (COMP-TRAN-1 (CDR X)))))))
@@ -4573,7 +4571,7 @@ terminals and empty or at-end files.  In Common Lisp, we must assume record size
                                 (boundp '|$oldBreakMode|)
                                 (setq |$BreakMode| |$oldBreakMode|)
                                 nil)) ;; resets error handler
-                          ((memq |$BreakMode| '(|nobreak| |query| |resume|))
+                          ((member |$BreakMode| '(|nobreak| |query| |resume|))
                             (|systemError| (error-format error-string args)))
                           ((eq |$BreakMode| '|letPrint2|)
                            (setq |$BreakMode| nil)
